#include "AvatarInfo.h"
BEGIN_NAMESPACE_NEX
	_DS_IMPLEMENT(AvatarInfo)

	qBool DATASET(AvatarInfo)::FormatVariableValue(Variable* pVariable, NAMESPACE_NEX String *pstrResult) const {
		_DS_FormatMatchingVariableValue(T_mRevision,_mRevision);
		_DS_FormatMatchingVariableValue(TstationID,stationID);
		return false;
	}

	void DATASET(AvatarInfo)::AddSourceTo(Message *pMsg, Time tTimestamp, qBool bDiscovery) {
		DUMMY_PARAM(tTimestamp);DUMMY_PARAM(bDiscovery);
		_MSG_ADD_VARIABLE(T_mRevision,_mRevision);
		_MSG_ADD_VARIABLE(TstationID,stationID);
	}

	void DATASET(AvatarInfo)::CallOperationOnVars(Operation::Event eEvent, void* pDOOperation) {
		DUMMY_PARAM(eEvent); DUMMY_PARAM(pDOOperation);
		_MSG_OPERATION_EVENT(T_mRevision,_mRevision);
		_MSG_OPERATION_EVENT(TstationID, stationID);
	}

END_NAMESPACE_NEX
