#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/NetZ.h>
#include <NetZ/NetZ.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_CLIENT DATASET(AvatarInfo): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define int32 stationID
	DDLTYPE(int32)::CPPType stationID;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(AvatarInfo)
	DATASET(AvatarInfo)( const DATASET(AvatarInfo) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		stationID(oOther.stationID)
	{
	}

	_DS_ASSIGN_OPERATOR(AvatarInfo){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(stationID);
	}

	_DS_EQUAL_OPERATOR(AvatarInfo){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(stationID);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(AvatarInfo)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(TstationID,stationID);
	}



	DATASET_VALID_REVISION_DEF(stationID, 0);
	qBool DATASET_ISVALID(stationID){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(int32) TstationID;
};

#define _DSDECL_AvatarInfo AvatarInfo

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
