#include "Boundaries.h"
BEGIN_NAMESPACE_NEX
	_DS_IMPLEMENT(Boundaries)

	qBool DATASET(Boundaries)::FormatVariableValue(Variable* pVariable, NAMESPACE_NEX String *pstrResult) const {
		_DS_FormatMatchingVariableValue(T_mRevision,_mRevision);
		_DS_FormatMatchingVariableValue(TminX,minX);
		_DS_FormatMatchingVariableValue(TmaxX,maxX);
		_DS_FormatMatchingVariableValue(TminY,minY);
		_DS_FormatMatchingVariableValue(TmaxY,maxY);
		return false;
	}

	void DATASET(Boundaries)::AddSourceTo(Message *pMsg, Time tTimestamp, qBool bDiscovery) {
		DUMMY_PARAM(tTimestamp);DUMMY_PARAM(bDiscovery);
		_MSG_ADD_VARIABLE(T_mRevision,_mRevision);
		_MSG_ADD_VARIABLE(TminX,minX);
		_MSG_ADD_VARIABLE(TmaxX,maxX);
		_MSG_ADD_VARIABLE(TminY,minY);
		_MSG_ADD_VARIABLE(TmaxY,maxY);
	}

	void DATASET(Boundaries)::CallOperationOnVars(Operation::Event eEvent, void* pDOOperation) {
		DUMMY_PARAM(eEvent); DUMMY_PARAM(pDOOperation);
		_MSG_OPERATION_EVENT(T_mRevision,_mRevision);
		_MSG_OPERATION_EVENT(TminX, minX);
		_MSG_OPERATION_EVENT(TmaxX, maxX);
		_MSG_OPERATION_EVENT(TminY, minY);
		_MSG_OPERATION_EVENT(TmaxY, maxY);
	}

END_NAMESPACE_NEX
