#include "ExtrapolatedLoopbackPosition.h"
BEGIN_NAMESPACE_NEX
	_DS_IMPLEMENT(ExtrapolatedLoopbackPosition)
	_DS_IMPLEMENT_EXTRAPOLATED(ExtrapolatedLoopbackPosition)
	_DS_IMPLEMENT_LOOPBACK(ExtrapolatedLoopbackPosition)
_PR_extrapolation_filter_impl(ExtrapolatedLoopbackPosition)
_PR_unreliable_impl(ExtrapolatedLoopbackPosition)

	qBool DATASET(ExtrapolatedLoopbackPosition)::FormatVariableValue(Variable* pVariable, NAMESPACE_NEX String *pstrResult) const {
		_DS_FormatMatchingVariableValue(T_mRevision,_mRevision);
		_DS_FormatMatchingVariableValue(Tx,x);
		_DS_FormatMatchingVariableValue(Ty,y);
		return false;
	}

	void DATASET(ExtrapolatedLoopbackPosition)::AddSourceTo(Message *pMsg, Time tTimestamp, qBool bDiscovery) {
		DUMMY_PARAM(tTimestamp);DUMMY_PARAM(bDiscovery);
		_DS_ADD_TIMESTAMP();
		_DS_ADD_BREAK();
		_MSG_ADD_VARIABLE(T_mRevision,_mRevision);
		_MSG_ADD_VARIABLE(Tx,x);
		_MSG_ADD_VARIABLE(Ty,y);
	}

	void DATASET(ExtrapolatedLoopbackPosition)::CallOperationOnVars(Operation::Event eEvent, void* pDOOperation) {
		DUMMY_PARAM(eEvent); DUMMY_PARAM(pDOOperation);
		_MSG_OPERATION_EVENT(T_mRevision,_mRevision);
		_MSG_OPERATION_EVENT(Tx, x);
		_MSG_OPERATION_EVENT(Ty, y);
	}

END_NAMESPACE_NEX
