#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include <NetZ/src/Core/DOCore/CodeGenerationExports.h>
#include <OnlineCore/src/DDLTypes/OnlineCoreDDF.h>
#include <NetZ/src/Core/DOCore/DOClassesTable.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
BEGIN_NAMESPACE_NEX
class OSDK_API DATASET(StationInfo): public DataSet {
public:
	DDLTYPE(byte)::CPPType _mRevision;

/* ************** Begin the dataset definitions ************** */
	/* --- You can access these values directly. --- */

	//define dohandle m_hObserver
	DDLTYPE(dohandle)::CPPType m_hObserver;

	//define uint32 m_uiMachineUID
	DDLTYPE(uint32)::CPPType m_uiMachineUID;

/* ************** End the dataset definitions ************** */

	qUnsignedInt32 GetRevision() { return _mRevision; }

	void InitVariables() {
		_mRevision=0;
	}

	_DS_GENERAL_DECLARATIONS(StationInfo)
	DATASET(StationInfo)( const DATASET(StationInfo) &oOther ):DataSet() ,
		_mRevision(oOther._mRevision), 
		m_hObserver(oOther.m_hObserver), 
		m_uiMachineUID(oOther.m_uiMachineUID)
	{
	}

	_DS_ASSIGN_OPERATOR(StationInfo){
		_DS_COPYDATASET_VAR(_mRevision);
		_DS_COPYDATASET_VAR(m_hObserver);
		_DS_COPYDATASET_VAR(m_uiMachineUID);
	}

	_DS_EQUAL_OPERATOR(StationInfo){
		_DS_EQUAL_VAR(_mRevision);
		_DS_EQUAL_VAR(m_hObserver);
		_DS_EQUAL_VAR(m_uiMachineUID);
		return true;
	}

	_DS_TMPL_EQUAL_OPERATOR(StationInfo)
	void ExtractFrom(Message* pMsg) {
		_MSG_EXTRACT_VARIABLE(T_mRevision, _mRevision);
		_MSG_EXTRACT_VARIABLE(Tm_hObserver,m_hObserver);
		_MSG_EXTRACT_VARIABLE(Tm_uiMachineUID,m_uiMachineUID);
	}



	DATASET_VALID_REVISION_DEF(m_hObserver, 0);
	qBool DATASET_ISVALID(m_hObserver){ return true; /* The revision is 0. Always true */}
	DATASET_VALID_REVISION_DEF(m_uiMachineUID, 0);
	qBool DATASET_ISVALID(m_uiMachineUID){ return true; /* The revision is 0. Always true */}

protected:
private:
	typedef DDLTYPE(byte) T_mRevision;
	typedef DDLTYPE(dohandle) Tm_hObserver;
	typedef DDLTYPE(uint32) Tm_uiMachineUID;
};

#define _DSDECL_StationInfo StationInfo

END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
