// *---------------------------------------------------------------------------*
//  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
//  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.
//
//  Copyright (C)2011-2017 Nintendo  All rights reserved.
//
//  These coded instructions, statements, and computer programs contain
//  proprietary information of Nintendo and/or its licensors and are 
//  protected by national and international copyright laws.
//  They may not be disclosed to third parties or copied or duplicated
//  in any form, in whole or in part, without the prior written consent
//  of Nintendo.
//  The content herein is highly confidential and should be handled
//  accordingly.
// *---------------------------------------------------------------------------*

#ifndef _SessionClockExt_DDL_
#define _SessionClockExt_DDL_

//Compatibility with DDL compiler
#define CAFE_NEX_DDL_COMPATIBILITY

#use <NetZ/src/Core/DOCore/DOCore.ddl>

doclass SessionClock: RootDO {
	void AdjustTime(int64 iTimeDifference);
	void SyncRequest(uint64 uiTimeStamp);
	void SyncResponse(uint64 uiTimeStamp, uint64 uiCurrentTime, int32 iServerDispatchTime);
	coreclassid = 9;
#ifdef CAFE_NEX_DDL_COMPATIBILITY
} bootstrapdo, globaldo, coredo;
#else //CAFE_NEX_DDL_COMPATIBILITY
} bootstrapdo, globaldo;
#endif //CAFE_NEX_DDL_COMPATIBILITY

wellknown SessionClock g_hdoSessionClock;

#endif
