﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2017 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#include <OnlineCore/src/Platform/Core/String.h>
#include <OnlineCore/src/Core/CoreDecl.h>


BEGIN_NAMESPACE_NEX

/*
    BasicCache
*/
class BasicCache: public RootObject
{
public:
    //  strName: unique cache name
    BasicCache(const String& strName);

    virtual ~BasicCache();

    const String& GetName() const
    {
        return m_strName;
    }

private:

    String  m_strName;

};

END_NAMESPACE_NEX

