﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2017 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

////////////////////////////////////////////////////////////////////////////////
// IMPORTANT NOTE: Values of each element of the following enumeration must be
// specify so that translating this file for Python scripts works as expected.
// Also, the description of elements must use C-style /* */ comments where
// the opening and closing syntax must be on their own lines of code.
////////////////////////////////////////////////////////////////////////////////

#pragma once

BEGIN_NAMESPACE_NEX

/**
\ingroup group_rdv_core_common
\brief This namespace defines the constants that are used by Authentication service.
*/
#ifdef SWIG
class AuthenticationServiceConstants
{
public:
#else
namespace AuthenticationServiceConstants
{
#endif

    enum SandboxNode
    {
        /**
        Invalid sandbox node ID.
        */
        InvalidNodeID = 0
    };
#ifdef SWIG
};
#else
}
#endif

END_NAMESPACE_NEX


