﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2017 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

BEGIN_NAMESPACE_NEX

/*!
 @internal

 @brief    システム内部用イベントの詳細を定義する名前空間です。
 */
#ifdef SWIG
class SystemEvents
{
public:
#else
namespace SystemEvents
{
#endif

    /*!
     @internal

     @brief    システム内部用イベントの詳細を定義する列挙子です。これらはアプリケーションには通知されません。

     ライブラリ内部で使用されるイベントが定義されます。
     */
    enum SystemEvents
    {
        /// ServiceItemで使用されます。
        ServiceItem
    };
#ifdef SWIG
};
#else
}
#endif


END_NAMESPACE_NEX

