#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStorePermission.h"

BEGIN_NAMESPACE_NEX
class DataStoreChangeMetaParamV1;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreChangeMetaParamV1): public RootObject {
public:
    DDLCLASS(DataStoreChangeMetaParamV1)():_mRevision_DataStoreChangeMetaParamV1(0)
    , tags(0)     {};
    DDLCLASS(DataStoreChangeMetaParamV1)(const DDLCLASS(DataStoreChangeMetaParamV1) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreChangeMetaParamV1(oOther._mRevision_DataStoreChangeMetaParamV1),
        dataId(oOther.dataId),
        modifiesFlag(oOther.modifiesFlag),
        name(oOther.name),
        permission(oOther.permission),
        delPermission(oOther.delPermission),
        period(oOther.period),
        metaBinary(oOther.metaBinary),
        tags(oOther.tags),
        updatePassword(oOther.updatePassword)
    {
    }
    virtual ~DDLCLASS(DataStoreChangeMetaParamV1)() {};
    const DDLCLASS(DataStoreChangeMetaParamV1) &operator=(const DDLCLASS(DataStoreChangeMetaParamV1) &oOther);
    qBool operator==(const DDLCLASS(DataStoreChangeMetaParamV1) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreChangeMetaParamV1) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreChangeMetaParamV1) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreChangeMetaParamV1) *pValue);
    qByte _mRevision_DataStoreChangeMetaParamV1;
    qByte GetClassRevision_DataStoreChangeMetaParamV1() const {return _mRevision_DataStoreChangeMetaParamV1;}
    void SetClassRevision_DataStoreChangeMetaParamV1(qByte revision) {_mRevision_DataStoreChangeMetaParamV1=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreChangeMetaParamV1() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType modifiesFlag;
    NEX_CLASS_VALID_REVISION_DEF(modifiesFlag, 0);
    qBool NEX_CLASS_ISVALID(modifiesFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    DataStorePermission permission;
    NEX_CLASS_VALID_REVISION_DEF(permission, 0);
    qBool NEX_CLASS_ISVALID(permission) const { return true; /* The revision is 0. Always true */}
    DataStorePermission delPermission;
    NEX_CLASS_VALID_REVISION_DEF(delPermission, 0);
    qBool NEX_CLASS_ISVALID(delPermission) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType period;
    NEX_CLASS_VALID_REVISION_DEF(period, 0);
    qBool NEX_CLASS_ISVALID(period) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType metaBinary;
    NEX_CLASS_VALID_REVISION_DEF(metaBinary, 0);
    qBool NEX_CLASS_ISVALID(metaBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType tags;
    NEX_CLASS_VALID_REVISION_DEF(tags, 0);
    qBool NEX_CLASS_ISVALID(tags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType updatePassword;
    NEX_CLASS_VALID_REVISION_DEF(updatePassword, 0);
    qBool NEX_CLASS_ISVALID(updatePassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreChangeMetaParamV1): public DDLType {
public:
    typedef DataStoreChangeMetaParamV1 CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreChangeMetaParamV1)& oDataStoreChangeMetaParamV1) {
        DDLCLASS(DataStoreChangeMetaParamV1)::Add(pMessageToSend,oDataStoreChangeMetaParamV1);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreChangeMetaParamV1)* pDataStoreChangeMetaParamV1ToRefresh) {
        DDLCLASS(DataStoreChangeMetaParamV1)::Extract(pReceivedMessage,pDataStoreChangeMetaParamV1ToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
