#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreKeyValue;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreKeyValue): public RootObject {
public:
    DDLCLASS(DataStoreKeyValue)():_mRevision_DataStoreKeyValue(0)
     {};
    DDLCLASS(DataStoreKeyValue)(const DDLCLASS(DataStoreKeyValue) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreKeyValue(oOther._mRevision_DataStoreKeyValue),
        key(oOther.key),
        value(oOther.value)
    {
    }
    virtual ~DDLCLASS(DataStoreKeyValue)() {};
    const DDLCLASS(DataStoreKeyValue) &operator=(const DDLCLASS(DataStoreKeyValue) &oOther);
    qBool operator==(const DDLCLASS(DataStoreKeyValue) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreKeyValue) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreKeyValue) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreKeyValue) *pValue);
    qByte _mRevision_DataStoreKeyValue;
    qByte GetClassRevision_DataStoreKeyValue() const {return _mRevision_DataStoreKeyValue;}
    void SetClassRevision_DataStoreKeyValue(qByte revision) {_mRevision_DataStoreKeyValue=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreKeyValue() {return 0;}
    DDLTYPE(string)::CPPType key;
    NEX_CLASS_VALID_REVISION_DEF(key, 0);
    qBool NEX_CLASS_ISVALID(key) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType value;
    NEX_CLASS_VALID_REVISION_DEF(value, 0);
    qBool NEX_CLASS_ISVALID(value) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreKeyValue): public DDLType {
public:
    typedef DataStoreKeyValue CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreKeyValue)& oDataStoreKeyValue) {
        DDLCLASS(DataStoreKeyValue)::Add(pMessageToSend,oDataStoreKeyValue);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreKeyValue)* pDataStoreKeyValueToRefresh) {
        DDLCLASS(DataStoreKeyValue)::Extract(pReceivedMessage,pDataStoreKeyValueToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
