#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreRateObjectParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRateObjectParam): public RootObject {
public:
    DDLCLASS(DataStoreRateObjectParam)():_mRevision_DataStoreRateObjectParam(0)
     {};
    DDLCLASS(DataStoreRateObjectParam)(const DDLCLASS(DataStoreRateObjectParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRateObjectParam(oOther._mRevision_DataStoreRateObjectParam),
        ratingValue(oOther.ratingValue),
        accessPassword(oOther.accessPassword)
    {
    }
    virtual ~DDLCLASS(DataStoreRateObjectParam)() {};
    const DDLCLASS(DataStoreRateObjectParam) &operator=(const DDLCLASS(DataStoreRateObjectParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRateObjectParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRateObjectParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRateObjectParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRateObjectParam) *pValue);
    qByte _mRevision_DataStoreRateObjectParam;
    qByte GetClassRevision_DataStoreRateObjectParam() const {return _mRevision_DataStoreRateObjectParam;}
    void SetClassRevision_DataStoreRateObjectParam(qByte revision) {_mRevision_DataStoreRateObjectParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRateObjectParam() {return 0;}
    DDLTYPE(int32)::CPPType ratingValue;
    NEX_CLASS_VALID_REVISION_DEF(ratingValue, 0);
    qBool NEX_CLASS_ISVALID(ratingValue) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType accessPassword;
    NEX_CLASS_VALID_REVISION_DEF(accessPassword, 0);
    qBool NEX_CLASS_ISVALID(accessPassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreRateObjectParam): public DDLType {
public:
    typedef DataStoreRateObjectParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRateObjectParam)& oDataStoreRateObjectParam) {
        DDLCLASS(DataStoreRateObjectParam)::Add(pMessageToSend,oDataStoreRateObjectParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRateObjectParam)* pDataStoreRateObjectParamToRefresh) {
        DDLCLASS(DataStoreRateObjectParam)::Extract(pReceivedMessage,pDataStoreRateObjectParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
