#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingInitParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingInitParam): public RootObject {
public:
    DDLCLASS(DataStoreRatingInitParam)():_mRevision_DataStoreRatingInitParam(0)
     {};
    DDLCLASS(DataStoreRatingInitParam)(const DDLCLASS(DataStoreRatingInitParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingInitParam(oOther._mRevision_DataStoreRatingInitParam),
        flag(oOther.flag),
        internalFlag(oOther.internalFlag),
        lockType(oOther.lockType),
        initialValue(oOther.initialValue),
        rangeMin(oOther.rangeMin),
        rangeMax(oOther.rangeMax),
        periodHour(oOther.periodHour),
        periodDuration(oOther.periodDuration)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingInitParam)() {};
    const DDLCLASS(DataStoreRatingInitParam) &operator=(const DDLCLASS(DataStoreRatingInitParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingInitParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingInitParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingInitParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingInitParam) *pValue);
    qByte _mRevision_DataStoreRatingInitParam;
    qByte GetClassRevision_DataStoreRatingInitParam() const {return _mRevision_DataStoreRatingInitParam;}
    void SetClassRevision_DataStoreRatingInitParam(qByte revision) {_mRevision_DataStoreRatingInitParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingInitParam() {return 0;}
    DDLTYPE(byte)::CPPType flag;
    NEX_CLASS_VALID_REVISION_DEF(flag, 0);
    qBool NEX_CLASS_ISVALID(flag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType internalFlag;
    NEX_CLASS_VALID_REVISION_DEF(internalFlag, 0);
    qBool NEX_CLASS_ISVALID(internalFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType lockType;
    NEX_CLASS_VALID_REVISION_DEF(lockType, 0);
    qBool NEX_CLASS_ISVALID(lockType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int64)::CPPType initialValue;
    NEX_CLASS_VALID_REVISION_DEF(initialValue, 0);
    qBool NEX_CLASS_ISVALID(initialValue) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType rangeMin;
    NEX_CLASS_VALID_REVISION_DEF(rangeMin, 0);
    qBool NEX_CLASS_ISVALID(rangeMin) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType rangeMax;
    NEX_CLASS_VALID_REVISION_DEF(rangeMax, 0);
    qBool NEX_CLASS_ISVALID(rangeMax) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int8)::CPPType periodHour;
    NEX_CLASS_VALID_REVISION_DEF(periodHour, 0);
    qBool NEX_CLASS_ISVALID(periodHour) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int16)::CPPType periodDuration;
    NEX_CLASS_VALID_REVISION_DEF(periodDuration, 0);
    qBool NEX_CLASS_ISVALID(periodDuration) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreRatingInitParam): public DDLType {
public:
    typedef DataStoreRatingInitParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingInitParam)& oDataStoreRatingInitParam) {
        DDLCLASS(DataStoreRatingInitParam)::Add(pMessageToSend,oDataStoreRatingInitParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingInitParam)* pDataStoreRatingInitParamToRefresh) {
        DDLCLASS(DataStoreRatingInitParam)::Extract(pReceivedMessage,pDataStoreRatingInitParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
