#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreKeyValue.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqGetInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqGetInfo): public RootObject {
public:
    DDLCLASS(DataStoreReqGetInfo)():_mRevision_DataStoreReqGetInfo(0)
    , requestHeaders(0)    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqGetInfo)(const DDLCLASS(DataStoreReqGetInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqGetInfo(oOther._mRevision_DataStoreReqGetInfo),
        url(oOther.url),
        requestHeaders(oOther.requestHeaders),
        size(oOther.size),
        rootCaCert(oOther.rootCaCert),
        dataId(oOther.dataId)
    {
    }
    virtual ~DDLCLASS(DataStoreReqGetInfo)() {};
    const DDLCLASS(DataStoreReqGetInfo) &operator=(const DDLCLASS(DataStoreReqGetInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqGetInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqGetInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqGetInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqGetInfo) *pValue);
    qByte _mRevision_DataStoreReqGetInfo;
    qByte GetClassRevision_DataStoreReqGetInfo() const {return _mRevision_DataStoreReqGetInfo;}
    void SetClassRevision_DataStoreReqGetInfo(qByte revision) {_mRevision_DataStoreReqGetInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqGetInfo() {return 0;}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(DataStoreKeyValue) >::CPPType requestHeaders;
    NEX_CLASS_VALID_REVISION_DEF(requestHeaders, 0);
    qBool NEX_CLASS_ISVALID(requestHeaders) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreReqGetInfo): public DDLType {
public:
    typedef DataStoreReqGetInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqGetInfo)& oDataStoreReqGetInfo) {
        DDLCLASS(DataStoreReqGetInfo)::Add(pMessageToSend,oDataStoreReqGetInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqGetInfo)* pDataStoreReqGetInfoToRefresh) {
        DDLCLASS(DataStoreReqGetInfo)::Extract(pReceivedMessage,pDataStoreReqGetInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
