#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreSpecificMetaInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreSpecificMetaInfo): public RootObject {
public:
    DDLCLASS(DataStoreSpecificMetaInfo)():_mRevision_DataStoreSpecificMetaInfo(0)
     {};
    DDLCLASS(DataStoreSpecificMetaInfo)(const DDLCLASS(DataStoreSpecificMetaInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreSpecificMetaInfo(oOther._mRevision_DataStoreSpecificMetaInfo),
        dataId(oOther.dataId),
        ownerId(oOther.ownerId),
        size(oOther.size),
        dataType(oOther.dataType),
        version(oOther.version)
    {
    }
    virtual ~DDLCLASS(DataStoreSpecificMetaInfo)() {};
    const DDLCLASS(DataStoreSpecificMetaInfo) &operator=(const DDLCLASS(DataStoreSpecificMetaInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreSpecificMetaInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreSpecificMetaInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreSpecificMetaInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreSpecificMetaInfo) *pValue);
    qByte _mRevision_DataStoreSpecificMetaInfo;
    qByte GetClassRevision_DataStoreSpecificMetaInfo() const {return _mRevision_DataStoreSpecificMetaInfo;}
    void SetClassRevision_DataStoreSpecificMetaInfo(qByte revision) {_mRevision_DataStoreSpecificMetaInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreSpecificMetaInfo() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType ownerId;
    NEX_CLASS_VALID_REVISION_DEF(ownerId, 0);
    qBool NEX_CLASS_ISVALID(ownerId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType size;
    NEX_CLASS_VALID_REVISION_DEF(size, 0);
    qBool NEX_CLASS_ISVALID(size) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType version;
    NEX_CLASS_VALID_REVISION_DEF(version, 0);
    qBool NEX_CLASS_ISVALID(version) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreSpecificMetaInfo): public DDLType {
public:
    typedef DataStoreSpecificMetaInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreSpecificMetaInfo)& oDataStoreSpecificMetaInfo) {
        DDLCLASS(DataStoreSpecificMetaInfo)::Add(pMessageToSend,oDataStoreSpecificMetaInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreSpecificMetaInfo)* pDataStoreSpecificMetaInfoToRefresh) {
        DDLCLASS(DataStoreSpecificMetaInfo)::Extract(pReceivedMessage,pDataStoreSpecificMetaInfoToRefresh);
    }
};

class DataStoreSpecificMetaInfo: public DDLCLASS(DataStoreSpecificMetaInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
