﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2017 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#include <OnlineCore/src/Platform/Core/PlatformDecl.h>

BEGIN_NAMESPACE_NEX

/*!
    @brief Debug 機能に関する定数が定義された名前空間です。
*/
namespace DebugConstants
{
/*!
    @brief API呼び出し頻度チェックの結果です
*/
enum ApiCallSummaryResult
{
    ApiCallSummaryResult_Normal = 0,  //!< ガイドラインで規定されている呼び出し頻度の目安の範囲内に収まっている
    ApiCallSummaryResult_LimitOver = 1    //!< ガイドラインで規定されている呼び出し頻度の目安を超えている
};
}

END_NAMESPACE_NEX

