#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "MatchmakeSession.h"

BEGIN_NAMESPACE_NEX
class FindMatchmakeSessionByParticipantResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(FindMatchmakeSessionByParticipantResult): public RootObject {
public:
    DDLCLASS(FindMatchmakeSessionByParticipantResult)():_mRevision_FindMatchmakeSessionByParticipantResult(0)
     {};
    DDLCLASS(FindMatchmakeSessionByParticipantResult)(const DDLCLASS(FindMatchmakeSessionByParticipantResult) &oOther):
        RootObject(oOther),
        _mRevision_FindMatchmakeSessionByParticipantResult(oOther._mRevision_FindMatchmakeSessionByParticipantResult),
        m_principalId(oOther.m_principalId),
        m_session(oOther.m_session)
    {
    }
    virtual ~DDLCLASS(FindMatchmakeSessionByParticipantResult)() {};
    const DDLCLASS(FindMatchmakeSessionByParticipantResult) &operator=(const DDLCLASS(FindMatchmakeSessionByParticipantResult) &oOther);
    qBool operator==(const DDLCLASS(FindMatchmakeSessionByParticipantResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(FindMatchmakeSessionByParticipantResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(FindMatchmakeSessionByParticipantResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(FindMatchmakeSessionByParticipantResult) *pValue);
    qByte _mRevision_FindMatchmakeSessionByParticipantResult;
    qByte GetClassRevision_FindMatchmakeSessionByParticipantResult() const {return _mRevision_FindMatchmakeSessionByParticipantResult;}
    void SetClassRevision_FindMatchmakeSessionByParticipantResult(qByte revision) {_mRevision_FindMatchmakeSessionByParticipantResult=revision;}
    static qByte GetKnownMaxClassRevision_FindMatchmakeSessionByParticipantResult() {return 0;}
    DDLTYPE(uint32)::CPPType m_principalId;
    NEX_CLASS_VALID_REVISION_DEF(m_principalId, 0);
    qBool NEX_CLASS_ISVALID(m_principalId) const { return true; /* The revision is 0. Always true */}
    MatchmakeSession m_session;
    NEX_CLASS_VALID_REVISION_DEF(m_session, 0);
    qBool NEX_CLASS_ISVALID(m_session) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(FindMatchmakeSessionByParticipantResult): public DDLType {
public:
    typedef FindMatchmakeSessionByParticipantResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(FindMatchmakeSessionByParticipantResult)& oFindMatchmakeSessionByParticipantResult) {
        DDLCLASS(FindMatchmakeSessionByParticipantResult)::Add(pMessageToSend,oFindMatchmakeSessionByParticipantResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(FindMatchmakeSessionByParticipantResult)* pFindMatchmakeSessionByParticipantResultToRefresh) {
        DDLCLASS(FindMatchmakeSessionByParticipantResult)::Extract(pReceivedMessage,pFindMatchmakeSessionByParticipantResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
