#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/STLExtTypes.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeParam): public RootObject {
public:
    DDLCLASS(MatchmakeParam)():_mRevision_MatchmakeParam(0)
     {};
    DDLCLASS(MatchmakeParam)(const DDLCLASS(MatchmakeParam) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeParam(oOther._mRevision_MatchmakeParam),
        m_Params(oOther.m_Params)
    {
    }
    virtual ~DDLCLASS(MatchmakeParam)() {};
    const DDLCLASS(MatchmakeParam) &operator=(const DDLCLASS(MatchmakeParam) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeParam) *pValue);
    qByte _mRevision_MatchmakeParam;
    qByte GetClassRevision_MatchmakeParam() const {return _mRevision_MatchmakeParam;}
    void SetClassRevision_MatchmakeParam(qByte revision) {_mRevision_MatchmakeParam=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeParam() {return 0;}
    DDLTYPE(std_map)< DDLTYPE(string), DDLTYPE(variant) >::CPPType m_Params;
    NEX_CLASS_VALID_REVISION_DEF(m_Params, 0);
    qBool NEX_CLASS_ISVALID(m_Params) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeParam): public DDLType {
public:
    typedef MatchmakeParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeParam)& oMatchmakeParam) {
        DDLCLASS(MatchmakeParam)::Add(pMessageToSend,oMatchmakeParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeParam)* pMatchmakeParamToRefresh) {
        DDLCLASS(MatchmakeParam)::Extract(pReceivedMessage,pMatchmakeParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
