﻿/*---------------------------------------------------------------------------*
  Copyright (C)2011-2017 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.
*---------------------------------------------------------------------------*/

#pragma once

BEGIN_NAMESPACE_NEX

/*!
@brief      マッチメイクセッションの検索結果を格納するデータクラスです。
*/
class MatchmakingUtil
{
public:
    /*
    @brief         あいことばの検証をします

    @param[in]     codeword    あいことば

    @retval        true  成功。あいことばとして使用できる文字列です
    @retval        false 失敗。あいことばとして使用できない文字が含まれています
    @internal
    */
    static qBool ValidateCodeword(const String& codeword);
};

END_NAMESPACE_NEX 
