#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2CategorySetting;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2CategorySetting): public RootObject {
public:
    DDLCLASS(Ranking2CategorySetting)():_mRevision_Ranking2CategorySetting(0)
     {};
    DDLCLASS(Ranking2CategorySetting)(const DDLCLASS(Ranking2CategorySetting) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2CategorySetting(oOther._mRevision_Ranking2CategorySetting),
        minScore(oOther.minScore),
        maxScore(oOther.maxScore),
        lowestRank(oOther.lowestRank),
        resetMonth(oOther.resetMonth),
        resetDay(oOther.resetDay),
        resetHour(oOther.resetHour),
        resetMode(oOther.resetMode),
        maxSeasonsToGoBack(oOther.maxSeasonsToGoBack),
        scoreOrder(oOther.scoreOrder)
    {
    }
    virtual ~DDLCLASS(Ranking2CategorySetting)() {};
    const DDLCLASS(Ranking2CategorySetting) &operator=(const DDLCLASS(Ranking2CategorySetting) &oOther);
    qBool operator==(const DDLCLASS(Ranking2CategorySetting) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2CategorySetting) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2CategorySetting) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2CategorySetting) *pValue);
    qByte _mRevision_Ranking2CategorySetting;
    qByte GetClassRevision_Ranking2CategorySetting() const {return _mRevision_Ranking2CategorySetting;}
    void SetClassRevision_Ranking2CategorySetting(qByte revision) {_mRevision_Ranking2CategorySetting=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2CategorySetting() {return 0;}
    DDLTYPE(uint32)::CPPType minScore;
    NEX_CLASS_VALID_REVISION_DEF(minScore, 0);
    qBool NEX_CLASS_ISVALID(minScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType maxScore;
    NEX_CLASS_VALID_REVISION_DEF(maxScore, 0);
    qBool NEX_CLASS_ISVALID(maxScore) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lowestRank;
    NEX_CLASS_VALID_REVISION_DEF(lowestRank, 0);
    qBool NEX_CLASS_ISVALID(lowestRank) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType resetMonth;
    NEX_CLASS_VALID_REVISION_DEF(resetMonth, 0);
    qBool NEX_CLASS_ISVALID(resetMonth) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType resetDay;
    NEX_CLASS_VALID_REVISION_DEF(resetDay, 0);
    qBool NEX_CLASS_ISVALID(resetDay) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType resetHour;
    NEX_CLASS_VALID_REVISION_DEF(resetHour, 0);
    qBool NEX_CLASS_ISVALID(resetHour) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType resetMode;
    NEX_CLASS_VALID_REVISION_DEF(resetMode, 0);
    qBool NEX_CLASS_ISVALID(resetMode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType maxSeasonsToGoBack;
    NEX_CLASS_VALID_REVISION_DEF(maxSeasonsToGoBack, 0);
    qBool NEX_CLASS_ISVALID(maxSeasonsToGoBack) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType scoreOrder;
    NEX_CLASS_VALID_REVISION_DEF(scoreOrder, 0);
    qBool NEX_CLASS_ISVALID(scoreOrder) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2CategorySetting): public DDLType {
public:
    typedef Ranking2CategorySetting CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2CategorySetting)& oRanking2CategorySetting) {
        DDLCLASS(Ranking2CategorySetting)::Add(pMessageToSend,oRanking2CategorySetting);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2CategorySetting)* pRanking2CategorySettingToRefresh) {
        DDLCLASS(Ranking2CategorySetting)::Extract(pReceivedMessage,pRanking2CategorySettingToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
