#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2GetByListParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2GetByListParam): public RootObject {
public:
    DDLCLASS(Ranking2GetByListParam)():_mRevision_Ranking2GetByListParam(0)
     {};
    DDLCLASS(Ranking2GetByListParam)(const DDLCLASS(Ranking2GetByListParam) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2GetByListParam(oOther._mRevision_Ranking2GetByListParam),
        category(oOther.category),
        offset(oOther.offset),
        length(oOther.length),
        sortFlags(oOther.sortFlags),
        optionFlags(oOther.optionFlags),
        numSeasonsToGoBack(oOther.numSeasonsToGoBack)
    {
    }
    virtual ~DDLCLASS(Ranking2GetByListParam)() {};
    const DDLCLASS(Ranking2GetByListParam) &operator=(const DDLCLASS(Ranking2GetByListParam) &oOther);
    qBool operator==(const DDLCLASS(Ranking2GetByListParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2GetByListParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2GetByListParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2GetByListParam) *pValue);
    qByte _mRevision_Ranking2GetByListParam;
    qByte GetClassRevision_Ranking2GetByListParam() const {return _mRevision_Ranking2GetByListParam;}
    void SetClassRevision_Ranking2GetByListParam(qByte revision) {_mRevision_Ranking2GetByListParam=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2GetByListParam() {return 0;}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType length;
    NEX_CLASS_VALID_REVISION_DEF(length, 0);
    qBool NEX_CLASS_ISVALID(length) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType sortFlags;
    NEX_CLASS_VALID_REVISION_DEF(sortFlags, 0);
    qBool NEX_CLASS_ISVALID(sortFlags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType optionFlags;
    NEX_CLASS_VALID_REVISION_DEF(optionFlags, 0);
    qBool NEX_CLASS_ISVALID(optionFlags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType numSeasonsToGoBack;
    NEX_CLASS_VALID_REVISION_DEF(numSeasonsToGoBack, 0);
    qBool NEX_CLASS_ISVALID(numSeasonsToGoBack) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2GetByListParam): public DDLType {
public:
    typedef Ranking2GetByListParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2GetByListParam)& oRanking2GetByListParam) {
        DDLCLASS(Ranking2GetByListParam)::Add(pMessageToSend,oRanking2GetByListParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2GetByListParam)* pRanking2GetByListParamToRefresh) {
        DDLCLASS(Ranking2GetByListParam)::Extract(pReceivedMessage,pRanking2GetByListParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
