#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2GetParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2GetParam): public RootObject {
public:
    DDLCLASS(Ranking2GetParam)():_mRevision_Ranking2GetParam(0)
     {};
    DDLCLASS(Ranking2GetParam)(const DDLCLASS(Ranking2GetParam) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2GetParam(oOther._mRevision_Ranking2GetParam),
        nexUniqueId(oOther.nexUniqueId),
        principalId(oOther.principalId),
        category(oOther.category),
        offset(oOther.offset),
        length(oOther.length),
        sortFlags(oOther.sortFlags),
        optionFlags(oOther.optionFlags),
        mode(oOther.mode),
        numSeasonsToGoBack(oOther.numSeasonsToGoBack)
    {
    }
    virtual ~DDLCLASS(Ranking2GetParam)() {};
    const DDLCLASS(Ranking2GetParam) &operator=(const DDLCLASS(Ranking2GetParam) &oOther);
    qBool operator==(const DDLCLASS(Ranking2GetParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2GetParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2GetParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2GetParam) *pValue);
    qByte _mRevision_Ranking2GetParam;
    qByte GetClassRevision_Ranking2GetParam() const {return _mRevision_Ranking2GetParam;}
    void SetClassRevision_Ranking2GetParam(qByte revision) {_mRevision_Ranking2GetParam=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2GetParam() {return 0;}
    DDLTYPE(uint64)::CPPType nexUniqueId;
    NEX_CLASS_VALID_REVISION_DEF(nexUniqueId, 0);
    qBool NEX_CLASS_ISVALID(nexUniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType principalId;
    NEX_CLASS_VALID_REVISION_DEF(principalId, 0);
    qBool NEX_CLASS_ISVALID(principalId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType offset;
    NEX_CLASS_VALID_REVISION_DEF(offset, 0);
    qBool NEX_CLASS_ISVALID(offset) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType length;
    NEX_CLASS_VALID_REVISION_DEF(length, 0);
    qBool NEX_CLASS_ISVALID(length) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType sortFlags;
    NEX_CLASS_VALID_REVISION_DEF(sortFlags, 0);
    qBool NEX_CLASS_ISVALID(sortFlags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType optionFlags;
    NEX_CLASS_VALID_REVISION_DEF(optionFlags, 0);
    qBool NEX_CLASS_ISVALID(optionFlags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType mode;
    NEX_CLASS_VALID_REVISION_DEF(mode, 0);
    qBool NEX_CLASS_ISVALID(mode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType numSeasonsToGoBack;
    NEX_CLASS_VALID_REVISION_DEF(numSeasonsToGoBack, 0);
    qBool NEX_CLASS_ISVALID(numSeasonsToGoBack) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2GetParam): public DDLType {
public:
    typedef Ranking2GetParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2GetParam)& oRanking2GetParam) {
        DDLCLASS(Ranking2GetParam)::Add(pMessageToSend,oRanking2GetParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2GetParam)* pRanking2GetParamToRefresh) {
        DDLCLASS(Ranking2GetParam)::Extract(pReceivedMessage,pRanking2GetParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
