#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "Ranking2RankData.h"

BEGIN_NAMESPACE_NEX
class Ranking2Info;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2Info): public RootObject {
public:
    DDLCLASS(Ranking2Info)():_mRevision_Ranking2Info(0)
    , rankDataList(0)     {};
    DDLCLASS(Ranking2Info)(const DDLCLASS(Ranking2Info) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2Info(oOther._mRevision_Ranking2Info),
        rankDataList(oOther.rankDataList),
        lowestRank(oOther.lowestRank),
        numRankedIn(oOther.numRankedIn),
        season(oOther.season)
    {
    }
    virtual ~DDLCLASS(Ranking2Info)() {};
    const DDLCLASS(Ranking2Info) &operator=(const DDLCLASS(Ranking2Info) &oOther);
    qBool operator==(const DDLCLASS(Ranking2Info) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2Info) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2Info) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2Info) *pValue);
    qByte _mRevision_Ranking2Info;
    qByte GetClassRevision_Ranking2Info() const {return _mRevision_Ranking2Info;}
    void SetClassRevision_Ranking2Info(qByte revision) {_mRevision_Ranking2Info=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2Info() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(Ranking2RankData) >::CPPType rankDataList;
    NEX_CLASS_VALID_REVISION_DEF(rankDataList, 0);
    qBool NEX_CLASS_ISVALID(rankDataList) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lowestRank;
    NEX_CLASS_VALID_REVISION_DEF(lowestRank, 0);
    qBool NEX_CLASS_ISVALID(lowestRank) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType numRankedIn;
    NEX_CLASS_VALID_REVISION_DEF(numRankedIn, 0);
    qBool NEX_CLASS_ISVALID(numRankedIn) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType season;
    NEX_CLASS_VALID_REVISION_DEF(season, 0);
    qBool NEX_CLASS_ISVALID(season) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2Info): public DDLType {
public:
    typedef Ranking2Info CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2Info)& oRanking2Info) {
        DDLCLASS(Ranking2Info)::Add(pMessageToSend,oRanking2Info);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2Info)* pRanking2InfoToRefresh) {
        DDLCLASS(Ranking2Info)::Extract(pReceivedMessage,pRanking2InfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
