#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class Ranking2ScoreData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(Ranking2ScoreData): public RootObject {
public:
    DDLCLASS(Ranking2ScoreData)():_mRevision_Ranking2ScoreData(0)
     {};
    DDLCLASS(Ranking2ScoreData)(const DDLCLASS(Ranking2ScoreData) &oOther):
        RootObject(oOther),
        _mRevision_Ranking2ScoreData(oOther._mRevision_Ranking2ScoreData),
        misc(oOther.misc),
        category(oOther.category),
        score(oOther.score)
    {
    }
    virtual ~DDLCLASS(Ranking2ScoreData)() {};
    const DDLCLASS(Ranking2ScoreData) &operator=(const DDLCLASS(Ranking2ScoreData) &oOther);
    qBool operator==(const DDLCLASS(Ranking2ScoreData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(Ranking2ScoreData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(Ranking2ScoreData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(Ranking2ScoreData) *pValue);
    qByte _mRevision_Ranking2ScoreData;
    qByte GetClassRevision_Ranking2ScoreData() const {return _mRevision_Ranking2ScoreData;}
    void SetClassRevision_Ranking2ScoreData(qByte revision) {_mRevision_Ranking2ScoreData=revision;}
    static qByte GetKnownMaxClassRevision_Ranking2ScoreData() {return 0;}
    DDLTYPE(uint64)::CPPType misc;
    NEX_CLASS_VALID_REVISION_DEF(misc, 0);
    qBool NEX_CLASS_ISVALID(misc) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(Ranking2ScoreData): public DDLType {
public:
    typedef Ranking2ScoreData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(Ranking2ScoreData)& oRanking2ScoreData) {
        DDLCLASS(Ranking2ScoreData)::Add(pMessageToSend,oRanking2ScoreData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(Ranking2ScoreData)* pRanking2ScoreDataToRefresh) {
        DDLCLASS(Ranking2ScoreData)::Extract(pReceivedMessage,pRanking2ScoreDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
