#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAcquireServiceItemByAccountParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAcquireServiceItemByAccountParam): public RootObject {
public:
    DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)():_mRevision_ServiceItemAcquireServiceItemByAccountParam(0)
     {};
    DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)(const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAcquireServiceItemByAccountParam(oOther._mRevision_ServiceItemAcquireServiceItemByAccountParam),
        referenceIdForAcquisition(oOther.referenceIdForAcquisition),
        referenceIdForRightBinary(oOther.referenceIdForRightBinary),
        useType(oOther.useType),
        limitationType(oOther.limitationType),
        limitationValue(oOther.limitationValue),
        rightBinary(oOther.rightBinary),
        logMessage(oOther.logMessage),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform),
        periodId(oOther.periodId)
    {
    }
    virtual ~DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)() {};
    const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &operator=(const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAcquireServiceItemByAccountParam) *pValue);
    qByte _mRevision_ServiceItemAcquireServiceItemByAccountParam;
    qByte GetClassRevision_ServiceItemAcquireServiceItemByAccountParam() const {return _mRevision_ServiceItemAcquireServiceItemByAccountParam;}
    void SetClassRevision_ServiceItemAcquireServiceItemByAccountParam(qByte revision) {_mRevision_ServiceItemAcquireServiceItemByAccountParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAcquireServiceItemByAccountParam() {return 0;}
    DDLTYPE(string)::CPPType referenceIdForAcquisition;
    NEX_CLASS_VALID_REVISION_DEF(referenceIdForAcquisition, 0);
    qBool NEX_CLASS_ISVALID(referenceIdForAcquisition) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceIdForRightBinary;
    NEX_CLASS_VALID_REVISION_DEF(referenceIdForRightBinary, 0);
    qBool NEX_CLASS_ISVALID(referenceIdForRightBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType useType;
    NEX_CLASS_VALID_REVISION_DEF(useType, 0);
    qBool NEX_CLASS_ISVALID(useType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType limitationType;
    NEX_CLASS_VALID_REVISION_DEF(limitationType, 0);
    qBool NEX_CLASS_ISVALID(limitationType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType limitationValue;
    NEX_CLASS_VALID_REVISION_DEF(limitationValue, 0);
    qBool NEX_CLASS_ISVALID(limitationValue) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType rightBinary;
    NEX_CLASS_VALID_REVISION_DEF(rightBinary, 0);
    qBool NEX_CLASS_ISVALID(rightBinary) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType logMessage;
    NEX_CLASS_VALID_REVISION_DEF(logMessage, 0);
    qBool NEX_CLASS_ISVALID(logMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType periodId;
    NEX_CLASS_VALID_REVISION_DEF(periodId, 0);
    qBool NEX_CLASS_ISVALID(periodId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAcquireServiceItemByAccountParam): public DDLType {
public:
    typedef ServiceItemAcquireServiceItemByAccountParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)& oServiceItemAcquireServiceItemByAccountParam) {
        DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)::Add(pMessageToSend,oServiceItemAcquireServiceItemByAccountParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)* pServiceItemAcquireServiceItemByAccountParamToRefresh) {
        DDLCLASS(ServiceItemAcquireServiceItemByAccountParam)::Extract(pReceivedMessage,pServiceItemAcquireServiceItemByAccountParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
