#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAmount.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAutoBillingPlan;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAutoBillingPlan): public RootObject {
public:
    DDLCLASS(ServiceItemAutoBillingPlan)():_mRevision_ServiceItemAutoBillingPlan(0)
     {};
    DDLCLASS(ServiceItemAutoBillingPlan)(const DDLCLASS(ServiceItemAutoBillingPlan) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAutoBillingPlan(oOther._mRevision_ServiceItemAutoBillingPlan),
        itemCode(oOther.itemCode),
        referenceId(oOther.referenceId),
        description(oOther.description),
        disclaimer(oOther.disclaimer),
        name(oOther.name),
        regularPrice(oOther.regularPrice)
    {
    }
    virtual ~DDLCLASS(ServiceItemAutoBillingPlan)() {};
    const DDLCLASS(ServiceItemAutoBillingPlan) &operator=(const DDLCLASS(ServiceItemAutoBillingPlan) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAutoBillingPlan) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAutoBillingPlan) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAutoBillingPlan) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAutoBillingPlan) *pValue);
    qByte _mRevision_ServiceItemAutoBillingPlan;
    qByte GetClassRevision_ServiceItemAutoBillingPlan() const {return _mRevision_ServiceItemAutoBillingPlan;}
    void SetClassRevision_ServiceItemAutoBillingPlan(qByte revision) {_mRevision_ServiceItemAutoBillingPlan=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAutoBillingPlan() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType description;
    NEX_CLASS_VALID_REVISION_DEF(description, 0);
    qBool NEX_CLASS_ISVALID(description) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType disclaimer;
    NEX_CLASS_VALID_REVISION_DEF(disclaimer, 0);
    qBool NEX_CLASS_ISVALID(disclaimer) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType name;
    NEX_CLASS_VALID_REVISION_DEF(name, 0);
    qBool NEX_CLASS_ISVALID(name) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount regularPrice;
    NEX_CLASS_VALID_REVISION_DEF(regularPrice, 0);
    qBool NEX_CLASS_ISVALID(regularPrice) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAutoBillingPlan): public DDLType {
public:
    typedef ServiceItemAutoBillingPlan CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAutoBillingPlan)& oServiceItemAutoBillingPlan) {
        DDLCLASS(ServiceItemAutoBillingPlan)::Add(pMessageToSend,oServiceItemAutoBillingPlan);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAutoBillingPlan)* pServiceItemAutoBillingPlanToRefresh) {
        DDLCLASS(ServiceItemAutoBillingPlan)::Extract(pReceivedMessage,pServiceItemAutoBillingPlanToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
