#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemRightInfos.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetServiceItemRightResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetServiceItemRightResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemGetServiceItemRightResponse)():_mRevision_ServiceItemGetServiceItemRightResponse(0)
    , nullableRightInfos(0)     {};
    DDLCLASS(ServiceItemGetServiceItemRightResponse)(const DDLCLASS(ServiceItemGetServiceItemRightResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemGetServiceItemRightResponse(oOther._mRevision_ServiceItemGetServiceItemRightResponse),
        nullableRightInfos(oOther.nullableRightInfos)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetServiceItemRightResponse)() {};
    const DDLCLASS(ServiceItemGetServiceItemRightResponse) &operator=(const DDLCLASS(ServiceItemGetServiceItemRightResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetServiceItemRightResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetServiceItemRightResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetServiceItemRightResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetServiceItemRightResponse) *pValue);
    qByte _mRevision_ServiceItemGetServiceItemRightResponse;
    qByte GetClassRevision_ServiceItemGetServiceItemRightResponse() const {return _mRevision_ServiceItemGetServiceItemRightResponse;}
    void SetClassRevision_ServiceItemGetServiceItemRightResponse(qByte revision) {_mRevision_ServiceItemGetServiceItemRightResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetServiceItemRightResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRightInfos) >::CPPType nullableRightInfos;
    NEX_CLASS_VALID_REVISION_DEF(nullableRightInfos, 0);
    qBool NEX_CLASS_ISVALID(nullableRightInfos) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetServiceItemRightResponse): public DDLType {
public:
    typedef ServiceItemGetServiceItemRightResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetServiceItemRightResponse)& oServiceItemGetServiceItemRightResponse) {
        DDLCLASS(ServiceItemGetServiceItemRightResponse)::Add(pMessageToSend,oServiceItemGetServiceItemRightResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetServiceItemRightResponse)* pServiceItemGetServiceItemRightResponseToRefresh) {
        DDLCLASS(ServiceItemGetServiceItemRightResponse)::Extract(pReceivedMessage,pServiceItemGetServiceItemRightResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
