#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetSupportIdParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetSupportIdParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetSupportIdParam)():_mRevision_ServiceItemGetSupportIdParam(0)
     {};
    DDLCLASS(ServiceItemGetSupportIdParam)(const DDLCLASS(ServiceItemGetSupportIdParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetSupportIdParam(oOther._mRevision_ServiceItemGetSupportIdParam),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetSupportIdParam)() {};
    const DDLCLASS(ServiceItemGetSupportIdParam) &operator=(const DDLCLASS(ServiceItemGetSupportIdParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetSupportIdParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetSupportIdParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetSupportIdParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetSupportIdParam) *pValue);
    qByte _mRevision_ServiceItemGetSupportIdParam;
    qByte GetClassRevision_ServiceItemGetSupportIdParam() const {return _mRevision_ServiceItemGetSupportIdParam;}
    void SetClassRevision_ServiceItemGetSupportIdParam(qByte revision) {_mRevision_ServiceItemGetSupportIdParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetSupportIdParam() {return 0;}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemGetSupportIdParam): public DDLType {
public:
    typedef ServiceItemGetSupportIdParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetSupportIdParam)& oServiceItemGetSupportIdParam) {
        DDLCLASS(ServiceItemGetSupportIdParam)::Add(pMessageToSend,oServiceItemGetSupportIdParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetSupportIdParam)* pServiceItemGetSupportIdParamToRefresh) {
        DDLCLASS(ServiceItemGetSupportIdParam)::Extract(pReceivedMessage,pServiceItemGetSupportIdParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
