#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRedeemInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRedeemInfo): public RootObject {
public:
    DDLCLASS(ServiceItemRedeemInfo)():_mRevision_ServiceItemRedeemInfo(0)
     {};
    DDLCLASS(ServiceItemRedeemInfo)(const DDLCLASS(ServiceItemRedeemInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRedeemInfo(oOther._mRevision_ServiceItemRedeemInfo),
        transactionId(oOther.transactionId),
        extTransactionId(oOther.extTransactionId),
        itemCode(oOther.itemCode)
    {
    }
    virtual ~DDLCLASS(ServiceItemRedeemInfo)() {};
    const DDLCLASS(ServiceItemRedeemInfo) &operator=(const DDLCLASS(ServiceItemRedeemInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRedeemInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRedeemInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRedeemInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRedeemInfo) *pValue);
    qByte _mRevision_ServiceItemRedeemInfo;
    qByte GetClassRevision_ServiceItemRedeemInfo() const {return _mRevision_ServiceItemRedeemInfo;}
    void SetClassRevision_ServiceItemRedeemInfo(qByte revision) {_mRevision_ServiceItemRedeemInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRedeemInfo() {return 0;}
    DDLTYPE(string)::CPPType transactionId;
    NEX_CLASS_VALID_REVISION_DEF(transactionId, 0);
    qBool NEX_CLASS_ISVALID(transactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType extTransactionId;
    NEX_CLASS_VALID_REVISION_DEF(extTransactionId, 0);
    qBool NEX_CLASS_ISVALID(extTransactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRedeemInfo): public DDLType {
public:
    typedef ServiceItemRedeemInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRedeemInfo)& oServiceItemRedeemInfo) {
        DDLCLASS(ServiceItemRedeemInfo)::Add(pMessageToSend,oServiceItemRedeemInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRedeemInfo)* pServiceItemRedeemInfoToRefresh) {
        DDLCLASS(ServiceItemRedeemInfo)::Extract(pReceivedMessage,pServiceItemRedeemInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
