#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemListRedemptionItem.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRedemptionCatalog;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRedemptionCatalog): public RootObject {
public:
    DDLCLASS(ServiceItemRedemptionCatalog)():_mRevision_ServiceItemRedemptionCatalog(0)
    , listItems(0)     {};
    DDLCLASS(ServiceItemRedemptionCatalog)(const DDLCLASS(ServiceItemRedemptionCatalog) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRedemptionCatalog(oOther._mRevision_ServiceItemRedemptionCatalog),
        listItems(oOther.listItems)
    {
    }
    virtual ~DDLCLASS(ServiceItemRedemptionCatalog)() {};
    const DDLCLASS(ServiceItemRedemptionCatalog) &operator=(const DDLCLASS(ServiceItemRedemptionCatalog) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRedemptionCatalog) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRedemptionCatalog) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRedemptionCatalog) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRedemptionCatalog) *pValue);
    qByte _mRevision_ServiceItemRedemptionCatalog;
    qByte GetClassRevision_ServiceItemRedemptionCatalog() const {return _mRevision_ServiceItemRedemptionCatalog;}
    void SetClassRevision_ServiceItemRedemptionCatalog(qByte revision) {_mRevision_ServiceItemRedemptionCatalog=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRedemptionCatalog() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemListRedemptionItem) >::CPPType listItems;
    NEX_CLASS_VALID_REVISION_DEF(listItems, 0);
    qBool NEX_CLASS_ISVALID(listItems) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRedemptionCatalog): public DDLType {
public:
    typedef ServiceItemRedemptionCatalog CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRedemptionCatalog)& oServiceItemRedemptionCatalog) {
        DDLCLASS(ServiceItemRedemptionCatalog)::Add(pMessageToSend,oServiceItemRedemptionCatalog);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRedemptionCatalog)* pServiceItemRedemptionCatalogToRefresh) {
        DDLCLASS(ServiceItemRedemptionCatalog)::Extract(pReceivedMessage,pServiceItemRedemptionCatalogToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
