#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRightBinary;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRightBinary): public RootObject {
public:
    DDLCLASS(ServiceItemRightBinary)():_mRevision_ServiceItemRightBinary(0)
     {};
    DDLCLASS(ServiceItemRightBinary)(const DDLCLASS(ServiceItemRightBinary) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRightBinary(oOther._mRevision_ServiceItemRightBinary),
        useType(oOther.useType),
        rightBinary(oOther.rightBinary)
    {
    }
    virtual ~DDLCLASS(ServiceItemRightBinary)() {};
    const DDLCLASS(ServiceItemRightBinary) &operator=(const DDLCLASS(ServiceItemRightBinary) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRightBinary) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRightBinary) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRightBinary) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRightBinary) *pValue);
    qByte _mRevision_ServiceItemRightBinary;
    qByte GetClassRevision_ServiceItemRightBinary() const {return _mRevision_ServiceItemRightBinary;}
    void SetClassRevision_ServiceItemRightBinary(qByte revision) {_mRevision_ServiceItemRightBinary=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRightBinary() {return 0;}
    DDLTYPE(byte)::CPPType useType;
    NEX_CLASS_VALID_REVISION_DEF(useType, 0);
    qBool NEX_CLASS_ISVALID(useType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType rightBinary;
    NEX_CLASS_VALID_REVISION_DEF(rightBinary, 0);
    qBool NEX_CLASS_ISVALID(rightBinary) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRightBinary): public DDLType {
public:
    typedef ServiceItemRightBinary CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRightBinary)& oServiceItemRightBinary) {
        DDLCLASS(ServiceItemRightBinary)::Add(pMessageToSend,oServiceItemRightBinary);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRightBinary)* pServiceItemRightBinaryToRefresh) {
        DDLCLASS(ServiceItemRightBinary)::Extract(pReceivedMessage,pServiceItemRightBinaryToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
