#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemRightInfo.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAccountRightTime.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRightTimeInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRightTimeInfo): public ServiceItemRightInfo {
public:
    DDLCLASS(ServiceItemRightTimeInfo)():_mRevision_ServiceItemRightTimeInfo(0)
    , accountRights(0)     {};
    DDLCLASS(ServiceItemRightTimeInfo)(const DDLCLASS(ServiceItemRightTimeInfo) &oOther):
        ServiceItemRightInfo(oOther),
        _mRevision_ServiceItemRightTimeInfo(oOther._mRevision_ServiceItemRightTimeInfo),
        accountRights(oOther.accountRights)
    {
    }
    virtual ~DDLCLASS(ServiceItemRightTimeInfo)() {};
    const DDLCLASS(ServiceItemRightTimeInfo) &operator=(const DDLCLASS(ServiceItemRightTimeInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRightTimeInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRightTimeInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRightTimeInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRightTimeInfo) *pValue);
    qByte _mRevision_ServiceItemRightTimeInfo;
    qByte GetClassRevision_ServiceItemRightTimeInfo() const {return _mRevision_ServiceItemRightTimeInfo;}
    void SetClassRevision_ServiceItemRightTimeInfo(qByte revision) {_mRevision_ServiceItemRightTimeInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRightTimeInfo() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAccountRightTime) >::CPPType accountRights;
    NEX_CLASS_VALID_REVISION_DEF(accountRights, 0);
    qBool NEX_CLASS_ISVALID(accountRights) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRightTimeInfo): public DDLType {
public:
    typedef ServiceItemRightTimeInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRightTimeInfo)& oServiceItemRightTimeInfo) {
        DDLCLASS(ServiceItemRightTimeInfo)::Add(pMessageToSend,oServiceItemRightTimeInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRightTimeInfo)* pServiceItemRightTimeInfoToRefresh) {
        DDLCLASS(ServiceItemRightTimeInfo)::Extract(pReceivedMessage,pServiceItemRightTimeInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
