#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAmount.h"
#include "ServiceItemLimitation.h"

BEGIN_NAMESPACE_NEX
class ServiceItemTransaction;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemTransaction): public RootObject {
public:
    DDLCLASS(ServiceItemTransaction)():_mRevision_ServiceItemTransaction(0)
     {};
    DDLCLASS(ServiceItemTransaction)(const DDLCLASS(ServiceItemTransaction) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemTransaction(oOther._mRevision_ServiceItemTransaction),
        transactionId(oOther.transactionId),
        extTransactionId(oOther.extTransactionId),
        time(oOther.time),
        transactionType(oOther.transactionType),
        transactionDescription(oOther.transactionDescription),
        transactionAmount(oOther.transactionAmount),
        itemCode(oOther.itemCode),
        referenceId(oOther.referenceId),
        limitation(oOther.limitation)
    {
    }
    virtual ~DDLCLASS(ServiceItemTransaction)() {};
    const DDLCLASS(ServiceItemTransaction) &operator=(const DDLCLASS(ServiceItemTransaction) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemTransaction) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemTransaction) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemTransaction) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemTransaction) *pValue);
    qByte _mRevision_ServiceItemTransaction;
    qByte GetClassRevision_ServiceItemTransaction() const {return _mRevision_ServiceItemTransaction;}
    void SetClassRevision_ServiceItemTransaction(qByte revision) {_mRevision_ServiceItemTransaction=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemTransaction() {return 0;}
    DDLTYPE(string)::CPPType transactionId;
    NEX_CLASS_VALID_REVISION_DEF(transactionId, 0);
    qBool NEX_CLASS_ISVALID(transactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType extTransactionId;
    NEX_CLASS_VALID_REVISION_DEF(extTransactionId, 0);
    qBool NEX_CLASS_ISVALID(extTransactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType time;
    NEX_CLASS_VALID_REVISION_DEF(time, 0);
    qBool NEX_CLASS_ISVALID(time) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType transactionType;
    NEX_CLASS_VALID_REVISION_DEF(transactionType, 0);
    qBool NEX_CLASS_ISVALID(transactionType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType transactionDescription;
    NEX_CLASS_VALID_REVISION_DEF(transactionDescription, 0);
    qBool NEX_CLASS_ISVALID(transactionDescription) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount transactionAmount;
    NEX_CLASS_VALID_REVISION_DEF(transactionAmount, 0);
    qBool NEX_CLASS_ISVALID(transactionAmount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    ServiceItemLimitation limitation;
    NEX_CLASS_VALID_REVISION_DEF(limitation, 0);
    qBool NEX_CLASS_ISVALID(limitation) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemTransaction): public DDLType {
public:
    typedef ServiceItemTransaction CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemTransaction)& oServiceItemTransaction) {
        DDLCLASS(ServiceItemTransaction)::Add(pMessageToSend,oServiceItemTransaction);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemTransaction)* pServiceItemTransactionToRefresh) {
        DDLCLASS(ServiceItemTransaction)::Extract(pReceivedMessage,pServiceItemTransactionToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
