#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ParticipantDetails;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ParticipantDetails): public RootObject {
public:
    DDLCLASS(ParticipantDetails)():_mRevision_ParticipantDetails(0)
     {};
    DDLCLASS(ParticipantDetails)(const DDLCLASS(ParticipantDetails) &oOther):
        RootObject(oOther),
        _mRevision_ParticipantDetails(oOther._mRevision_ParticipantDetails),
        m_idParticipant(oOther.m_idParticipant),
        m_strName(oOther.m_strName),
        m_strMessage(oOther.m_strMessage),
        m_uiParticipants(oOther.m_uiParticipants)
    {
    }
    virtual ~DDLCLASS(ParticipantDetails)() {};
    const DDLCLASS(ParticipantDetails) &operator=(const DDLCLASS(ParticipantDetails) &oOther);
    qBool operator==(const DDLCLASS(ParticipantDetails) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ParticipantDetails) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ParticipantDetails) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ParticipantDetails) *pValue);
    qByte _mRevision_ParticipantDetails;
    qByte GetClassRevision_ParticipantDetails() const {return _mRevision_ParticipantDetails;}
    void SetClassRevision_ParticipantDetails(qByte revision) {_mRevision_ParticipantDetails=revision;}
    static qByte GetKnownMaxClassRevision_ParticipantDetails() {return 0;}
    DDLTYPE(uint32)::CPPType m_idParticipant;
    NEX_CLASS_VALID_REVISION_DEF(m_idParticipant, 0);
    qBool NEX_CLASS_ISVALID(m_idParticipant) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strName;
    NEX_CLASS_VALID_REVISION_DEF(m_strName, 0);
    qBool NEX_CLASS_ISVALID(m_strName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType m_strMessage;
    NEX_CLASS_VALID_REVISION_DEF(m_strMessage, 0);
    qBool NEX_CLASS_ISVALID(m_strMessage) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType m_uiParticipants;
    NEX_CLASS_VALID_REVISION_DEF(m_uiParticipants, 0);
    qBool NEX_CLASS_ISVALID(m_uiParticipants) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ParticipantDetails): public DDLType {
public:
    typedef ParticipantDetails CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ParticipantDetails)& oParticipantDetails) {
        DDLCLASS(ParticipantDetails)::Add(pMessageToSend,oParticipantDetails);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ParticipantDetails)* pParticipantDetailsToRefresh) {
        DDLCLASS(ParticipantDetails)::Extract(pReceivedMessage,pParticipantDetailsToRefresh);
    }
};

class ParticipantDetails: public DDLCLASS(ParticipantDetails) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
