﻿{
  showserviceitem = false;

  //JSONPに対応するため、コールバックで目次を生成
  var callbackShowPrivateManual = function(){

  var objTOC = new TocObject();
  // ドキュメントタイトル
  objTOC.setTitle("CTR-NEX");
  // ドキュメントタイトルのリンク先
  objTOC.setTitleFile("title.html");
  // 起動時に目次を展開する場合はtrueを指定する（指定しなければfalse）
  objTOC.setOpenWithExpand(true);
  // 章番号を自動的に振る場合
  objTOC.enableDisplayNumber();
  // 開閉しないリストにはアイコンを表示しない場合
  objTOC.disableViewFileIcon();

  // マニュアルの目次
  // 2段目を基準にする
  objTOC.setBaselevel(1);
  objTOC.addSectionHeader(         "GENERAL"         , 0, "全般機能", "", "");
  objTOC.addSection(  "GENERAL_FIRST_OF_ALL", 1, "はじめに" , "nex/commonmanual/first_of_all.html", "");
  objTOC.addSection(        "GENERAL_INIT_FIN", 1, "NEXの初期化・終了"         , "nex/commonmanual/init_final.html", "");
  objTOC.addSection(        "GENERAL_MEMORY", 1, "メモリ管理"         , "nex/commonmanual/memory.html", "");
  objTOC.addSection(        "GENERAL_INITIALIZE", 1, "初期化設定(スレッドモデル、排他制御、ローカル通信）"         , "nex/commonmanual/initialize_detail.html", "");
  objTOC.addSection(        "GENERAL_OVERALL", 1, "NEXライブラリ全般(基本型、ディスパッチ、非同期処理、データ正当性)" , "nex/commonmanual/overall.html", "");
  objTOC.addSection(        "GENERAL_POLLING_ITEM", 1, "定期的にチェックすべきまたはチェックが推奨される項目" , "nex/commonmanual/polling_item.html", "");
  
  objTOC.addSectionHeader(         "SERVER"         , 0, "サーバーサービス機能", "", "");
  objTOC.addSection(  "SERVER_FIRST_OF_ALL", 1, "はじめに"     , "nex/serverservice/first_of_all.html", "");
  objTOC.addSection(        "SERVER_USER", 1, "ユーザ管理"     , "nex/serverservice/user_account_management.html", "");
  objTOC.addSection(        "SERVER_LOGIN", 1, "接続処理"     , "nex/serverservice/login_logout.html", "");
  objTOC.addSection(        "SERVER_MATCHMAKE", 1, "マッチメイク"     , "nex/serverservice/matchmake.html", "");
  objTOC.addSection(        "SERVER_RANKING", 1, "ランキング"     , "nex/serverservice/ranking.html", "");
  objTOC.addSection(        "SERVER_RANKING2", 1, "ランキング 2"     , "nex/serverservice/ranking2.html", "");
  objTOC.addSection(        "SERVER_DATASTORE", 1, "データストア"     , "nex/serverservice/datastore.html", "");
  objTOC.addSection(        "SERVER_SUBSCRIBER", 1, "サブスクライバー"     , "nex/serverservice/subscriber.html", "");
// 
  objTOC.addSection(        "SERVER_INDEPENDENT", 1, "独自サーバー"     , "nex/serverservice/independent_server.html", "");
// 
  objTOC.addSection(        "SERVER_DEBUG", 1, "デバッグ補助"     , "nex/serverservice/debug.html", "");
  objTOC.addSection(        "SERVER_UTILITY", 1, "ユーティリティ"     , "nex/serverservice/utility.html", "");
  objTOC.addSection(        "SERVER_WEBAPI" , 1, "WebAPI"  , "nex/serverservice/webapi.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_COMMON" , 2, "WebAPIの使用"  , "nex/serverservice/webapi_common.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_MATCHMAKE" , 2, "マッチメイク"  , "nex/serverservice/webapi_matchmake.html", "");
// 
  objTOC.addSection(        "SERVER_WEBAPI_RANKING2" , 2, "ランキング 2"  , "nex/serverservice/webapi_ranking2.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_DATASTORE" , 2, "データストア"  , "nex/serverservice/webapi_datastore.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_SUBSCRIBER" , 2, "サブスクライバー"  , "nex/serverservice/webapi_subscriber.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_DEBUG" , 2, "デバッグ補助"  , "nex/serverservice/webapi_debug.html", "");
  objTOC.addSection(        "SERVER_WEBAPI_UTILITY" , 2, "ユーティリティ"  , "nex/serverservice/webapi_utility.html", "");
// 
  objTOC.addSection(        "SERVER_WORDS", 1, "用語解説"     , "nex/serverservice/words.html", "");
  if (showserviceitem) {
  objTOC.addSection(        "SERVER_SERVICEITEM", 1, "サービスアイテム"     , "nex/serverservice/serviceitem.html", "");
  }

  objTOC.addSectionHeader(         "P2P"         , 0, "リアルタイム通信機能", "", "");

  objTOC.addSection(  "P2P_FIRST_OF_ALL", 1, "はじめに" , "nex/realtime/first_of_all.html", "");
  objTOC.addSection(        "P2P_OVERVIEW", 1, "NetZの概要" , "nex/realtime/overview.html", "");
  objTOC.addSection(        "P2P_NETZ_TERMINATE", 1, "NetZの初期化・終了", "nex/realtime/netz_terminate.html", "");
  objTOC.addSection(        "P2P_INTERNET", 1, "インターネット P2P 通信"     , "nex/realtime/internet_p2p.html", "");
  objTOC.addSection(        "P2P_ERROR", 1, "エラー処理", "nex/realtime/error.html", "");
  objTOC.addSection(        "P2P_SESSION", 1, "セッション・ステーション", "nex/realtime/session.html", "");
  objTOC.addSection(        "P2P_CLOCK", 1, "時刻管理", "nex/realtime/clock_management.html", "");
  objTOC.addSection(        "P2P_DIRECT_STREAM", 1, "ダイレクトストリーム", "nex/realtime/direct_stream.html", "");
  objTOC.addSection(        "P2P_STATIONINCONSITENCY", 1, "ステーション不一致の検出", "nex/realtime/station_inconsistency.html", "");
  objTOC.addSection(        "P2P_SEQURITY", 1, "セキュリティ", "nex/realtime/security.html", "");
  objTOC.addSection(        "P2P_DO_BRIEF", 1, "複製オブジェクト機能の概要", "nex/realtime/do_brief.html", "");
  objTOC.addSection(        "P2P_DO_BASIC", 1, "複製オブジェクトの基本機能", "nex/realtime/do_basic.html", "");
  objTOC.addSection(        "P2P_DEAD_RECKONING", 1, "推測航法機能", "nex/realtime/dead_reckoning.html", "");
  objTOC.addSection(        "P2P_DO_EXT", 1, "複製オブジェクトの拡張機能", "nex/realtime/do_ext.html", "");
  objTOC.addSection(        "P2P_DO_DDL", 1, "複製オブジェクトのデータ定義言語(DDL)", "nex/realtime/do_ddl.html", "");
  objTOC.addSection(        "P2P_DDL_GRAMMER", 1, "DDLの文法", "nex/realtime/ddl_grammer.html", "");
  objTOC.addSection(        "P2P_DO_KNOW_HOW", 1, "複製オブジェクトの効率的な使用方法", "nex/realtime/do_know_how.html", "");
  objTOC.addSection(        "P2P_CONSTRUCTION", 1, "有用な機能、参考情報", "nex/realtime/construction.html", "");
  objTOC.addSection(        "P2P_WORDS", 1, "用語説明", "nex/realtime/words.html", "");

  objTOC.addSection(        "P2P_VSOCKET", 1, "VSocket", "nex/realtime/vsocket.html", "");
  objTOC.addSection(        "P2P_NAT_TRAVERSAL", 1, "NAT トラバーサル", "nex/realtime/nat_traversal.html", "");

  objTOC.addSectionHeader(  "NEX_API" , 0, "APIリファレンス"  , "nex/api/index.html", "");

  objTOC.addSectionHeader(  "SAMPLE_DEMOS", 0, "サンプルデモ", "nex/sampledemos/demolist.html", "");
/*
  objTOC.addSection(  "SAMPLE_AUTO_MATCH",            1, "AutoMatch",           "nex/sampledemos/AutoMatch.html", "");
// 
  objTOC.addSection(  "SAMPLE_BLOCK_LIST",            1, "BlockList",           "nex/sampledemos/BlockList.html", "");
// 
  objTOC.addSection(  "SAMPLE_CALL_CONTEXT",          1, "CallContext",         "nex/sampledemos/CallContext.html", "");
  objTOC.addSection(  "SAMPLE_CREATE_AND_BROWSE",     1, "CreateAndBrowse",     "nex/sampledemos/CreateAndBrowse.html", "");
  objTOC.addSection(  "SAMPLE_DATA_STORE",            1, "DataStore",           "nex/sampledemos/DataStore.html", "");
  objTOC.addSection(  "SAMPLE_DATA_STORE_API_CHAIN",  1, "DataStoreApiChain",   "nex/sampledemos/DataStoreApiChain.html", "");
  objTOC.addSection(  "SAMPLE_DATA_STORE_SIMPLE",     1, "DataStoreSimple",     "nex/sampledemos/DataStoreSimple.html", "");
  objTOC.addSection(  "SAMPLE_DDL_BASIC",             1, "DDLBasic",            "nex/sampledemos/DDLBasic.html", "");
  objTOC.addSection(  "SAMPLE_DEBUG",                 1, "Debug",               "nex/sampledemos/Debug.html", "");
// 
  objTOC.addSection(  "SAMPLE_INDEPENDENT_SERVER",    1, "IndependentServer",   "nex/sampledemos/IndependentServer.html", "");
  objTOC.addSection(  "SAMPLE_DEAD_RECKONING",        1, "DeadReckoning",       "nex/sampledemos/DeadReckoning.html", "");
  objTOC.addSection(  "SAMPLE_DIRECT_STREAM",         1, "DirectStream",        "nex/sampledemos/DirectStream.html", "");
  objTOC.addSection(  "SAMPLE_JOIN_FROM_FRIEND_LIST", 1, "JoinFromFriendList",  "nex/sampledemos/JoinFromFriendList.html", "");
// 
  objTOC.addSection(  "SAMPLE_MATCH_MAKING_REFEREE",  1, "MatchmakeReferee",    "nex/sampledemos/MatchmakeReferee.html", "");
  objTOC.addSection(  "SAMPLE_MESSAGING",             1, "Messaging",           "nex/sampledemos/Messaging.html", "");
// 
  objTOC.addSection(  "SAMPLE_MULTI_UNIT_HEAP",       1, "MultiUnitHeap",       "nex/sampledemos/MultiUnitHeap.html", "");
// 
  objTOC.addSection(  "SAMPLE_NOTIFICATION",          1, "Notification",        "nex/sampledemos/Notification.html", "");
  objTOC.addSection(  "SAMPLE_PERSISTENT_GATHERING",  1, "PersistentGathering", "nex/sampledemos/PersistentGathering.html", "");
  objTOC.addSection(  "SAMPLE_RANKING",               1, "Ranking",             "nex/sampledemos/Ranking.html", "");
  objTOC.addSection(  "SAMPLE_SHUTDOWN",              1, "Shutdown",            "nex/sampledemos/Shutdown.html", "");
*/
  // 番号を振る基準をリセット
  objTOC.setBaselevel(0);
  // 更新履歴
  objTOC.addSeparator();
  objTOC.addItem("History", 0, "更新履歴", "history.html", "");

  // ツリーデータを加工します
  objTOC.processTreeData();
  Reassemble.objectTocData = objTOC;

  }; //end of callbackShowPrivateManual
  
  //tocData.jsのパスを取得
  var scripts = document.getElementsByTagName("script");
  var src = scripts[scripts.length - 1].src;
  var root = src.slice(0, src.lastIndexOf("/") + 1);
  
  var flagFiles = ["showserviceitemflag.js"];
  //Chromeでローカルファイルを読み取れない問題を回避する
  if(typeof window.chrome == "undefined" && 'WebkitAppearance' in document.documentElement.style){
    for(var i = 0; i < flagFiles.length; i++){
      var script = $("<script>").prop({
        src : root + flagFiles[i]
      })
      script.error(function(ev) {
        callbackShowPrivateManual();
      });
      //IEだと以下のメソッドで、該当のファイルがないとエラーとなる
      document.getElementsByTagName("head")[0].appendChild(script[0]);
    }
  } else {
    for(var i = 0; i < flagFiles.length; i++){
      $.ajax({
        type: 'GET',
        url: root + flagFiles[i],
        dataType: 'jsonp',
        async: false,
        success: function(json){
        },
        error:function(){
          callbackShowPrivateManual();
        }
      });
    }
  }

}

