﻿/*---------------------------------------------------------------------------*
  (C) Copyright 1998-2017, Technologies Quazal Inc.  All rights reserved.
  Quazal Net-Z, Quazal Rendez-Vous and Quazal are trademarks of Quazal.

  Copyright (C)2011-2017 Nintendo  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo and/or its licensors and are
  protected by national and international copyright laws.
  They may not be disclosed to third parties or copied or duplicated
  in any form, in whole or in part, without the prior written consent
  of Nintendo.
  The content herein is highly confidential and should be handled
  accordingly.
 *---------------------------------------------------------------------------*/

#pragma once

#include <NetZ/src/Core/DOCore/ObjDupDecl.h>

BEGIN_NAMESPACE_NEX

namespace DupSpace
{

// These specific values are important.  Publisher, Subscriber
// and Cell use different bits, and PS is Publisher or
// Subscriber.

typedef enum _Role
{
    Publisher=1,
    Subscriber=2,
    Cell=4,
    PS=3
} Role;

typedef qUnsignedInt32 ID;

enum _ReservedIDs
{
    InvalidID = 0
};

}

#define INVALID_DUPSPACEID  DupSpace::InvalidID

END_NAMESPACE_NEX

