#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class PropertyVariant;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(PropertyVariant): public RootObject {
public:
    DDLCLASS(PropertyVariant)():_mRevision_PropertyVariant(0)
     {};
    DDLCLASS(PropertyVariant)(const DDLCLASS(PropertyVariant) &oOther):
        RootObject(oOther),
        _mRevision_PropertyVariant(oOther._mRevision_PropertyVariant),
        m_ID(oOther.m_ID),
        m_value(oOther.m_value)
    {
    }
    virtual ~DDLCLASS(PropertyVariant)() {};
    const DDLCLASS(PropertyVariant) &operator=(const DDLCLASS(PropertyVariant) &oOther);
    qBool operator==(const DDLCLASS(PropertyVariant) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(PropertyVariant) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(PropertyVariant) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(PropertyVariant) *pValue);
    qByte _mRevision_PropertyVariant;
    qByte GetClassRevision_PropertyVariant() const {return _mRevision_PropertyVariant;}
    void SetClassRevision_PropertyVariant(qByte revision) {_mRevision_PropertyVariant=revision;}
    static qByte GetKnownMaxClassRevision_PropertyVariant() {return 0;}
    DDLTYPE(uint32)::CPPType m_ID;
    NEX_CLASS_VALID_REVISION_DEF(m_ID, 0);
    qBool NEX_CLASS_ISVALID(m_ID) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(variant)::CPPType m_value;
    NEX_CLASS_VALID_REVISION_DEF(m_value, 0);
    qBool NEX_CLASS_ISVALID(m_value) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(PropertyVariant): public DDLType {
public:
    typedef PropertyVariant CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(PropertyVariant)& oPropertyVariant) {
        DDLCLASS(PropertyVariant)::Add(pMessageToSend,oPropertyVariant);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(PropertyVariant)* pPropertyVariantToRefresh) {
        DDLCLASS(PropertyVariant)::Extract(pReceivedMessage,pPropertyVariantToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
