#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "OnlineCore/src/DDLTypes/STLExtTypes.h"

BEGIN_NAMESPACE_NEX
class RVConnectionData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RVConnectionData): public RootObject {
public:
    DDLCLASS(RVConnectionData)():_mRevision_RVConnectionData(1)
     {};
    DDLCLASS(RVConnectionData)(const DDLCLASS(RVConnectionData) &oOther):
        RootObject(oOther),
        _mRevision_RVConnectionData(oOther._mRevision_RVConnectionData),
        m_urlRegularProtocols(oOther.m_urlRegularProtocols),
        m_lstSpecialProtocols(oOther.m_lstSpecialProtocols),
        m_urlSpecialProtocols(oOther.m_urlSpecialProtocols),
        m_currentUTCTime(oOther.m_currentUTCTime)
    {
    }
    virtual ~DDLCLASS(RVConnectionData)() {};
    const DDLCLASS(RVConnectionData) &operator=(const DDLCLASS(RVConnectionData) &oOther);
    qBool operator==(const DDLCLASS(RVConnectionData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RVConnectionData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RVConnectionData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RVConnectionData) *pValue);
    qByte _mRevision_RVConnectionData;
    qByte GetClassRevision_RVConnectionData() const {return _mRevision_RVConnectionData;}
    void SetClassRevision_RVConnectionData(qByte revision) {_mRevision_RVConnectionData=revision;}
    static qByte GetKnownMaxClassRevision_RVConnectionData() {return 1;}
    DDLTYPE(stationurl)::CPPType m_urlRegularProtocols;
    NEX_CLASS_VALID_REVISION_DEF(m_urlRegularProtocols, 0);
    qBool NEX_CLASS_ISVALID(m_urlRegularProtocols) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(std_list)< DDLTYPE(byte) >::CPPType m_lstSpecialProtocols;
    NEX_CLASS_VALID_REVISION_DEF(m_lstSpecialProtocols, 0);
    qBool NEX_CLASS_ISVALID(m_lstSpecialProtocols) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(stationurl)::CPPType m_urlSpecialProtocols;
    NEX_CLASS_VALID_REVISION_DEF(m_urlSpecialProtocols, 0);
    qBool NEX_CLASS_ISVALID(m_urlSpecialProtocols) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(datetime)::CPPType m_currentUTCTime;
    NEX_CLASS_VALID_REVISION_DEF(m_currentUTCTime, 1);
    qBool NEX_CLASS_ISVALID(m_currentUTCTime) const { return NEX_CLASS_VALID_REVISION(m_currentUTCTime) <= _mRevision_RVConnectionData;}
    public:
    protected:
};


class DDLTYPE(RVConnectionData): public DDLType {
public:
    typedef RVConnectionData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RVConnectionData)& oRVConnectionData) {
        DDLCLASS(RVConnectionData)::Add(pMessageToSend,oRVConnectionData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RVConnectionData)* pRVConnectionDataToRefresh) {
        DDLCLASS(RVConnectionData)::Extract(pReceivedMessage,pRVConnectionDataToRefresh);
    }
};

class RVConnectionData: public DDLCLASS(RVConnectionData) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
