#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreDeleteParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreDeleteParam): public RootObject {
public:
    DDLCLASS(DataStoreDeleteParam)():_mRevision_DataStoreDeleteParam(0)
     {};
    DDLCLASS(DataStoreDeleteParam)(const DDLCLASS(DataStoreDeleteParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreDeleteParam(oOther._mRevision_DataStoreDeleteParam),
        dataId(oOther.dataId),
        updatePassword(oOther.updatePassword)
    {
    }
    virtual ~DDLCLASS(DataStoreDeleteParam)() {};
    const DDLCLASS(DataStoreDeleteParam) &operator=(const DDLCLASS(DataStoreDeleteParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreDeleteParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreDeleteParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreDeleteParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreDeleteParam) *pValue);
    qByte _mRevision_DataStoreDeleteParam;
    qByte GetClassRevision_DataStoreDeleteParam() const {return _mRevision_DataStoreDeleteParam;}
    void SetClassRevision_DataStoreDeleteParam(qByte revision) {_mRevision_DataStoreDeleteParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreDeleteParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType updatePassword;
    NEX_CLASS_VALID_REVISION_DEF(updatePassword, 0);
    qBool NEX_CLASS_ISVALID(updatePassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreDeleteParam): public DDLType {
public:
    typedef DataStoreDeleteParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreDeleteParam)& oDataStoreDeleteParam) {
        DDLCLASS(DataStoreDeleteParam)::Add(pMessageToSend,oDataStoreDeleteParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreDeleteParam)* pDataStoreDeleteParamToRefresh) {
        DDLCLASS(DataStoreDeleteParam)::Extract(pReceivedMessage,pDataStoreDeleteParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
