#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreNotification;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreNotification): public RootObject {
public:
    DDLCLASS(DataStoreNotification)():_mRevision_DataStoreNotification(0)
     {};
    DDLCLASS(DataStoreNotification)(const DDLCLASS(DataStoreNotification) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreNotification(oOther._mRevision_DataStoreNotification),
        notificationId(oOther.notificationId),
        dataId(oOther.dataId)
    {
    }
    virtual ~DDLCLASS(DataStoreNotification)() {};
    const DDLCLASS(DataStoreNotification) &operator=(const DDLCLASS(DataStoreNotification) &oOther);
    qBool operator==(const DDLCLASS(DataStoreNotification) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreNotification) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreNotification) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreNotification) *pValue);
    qByte _mRevision_DataStoreNotification;
    qByte GetClassRevision_DataStoreNotification() const {return _mRevision_DataStoreNotification;}
    void SetClassRevision_DataStoreNotification(qByte revision) {_mRevision_DataStoreNotification=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreNotification() {return 0;}
    DDLTYPE(uint64)::CPPType notificationId;
    NEX_CLASS_VALID_REVISION_DEF(notificationId, 0);
    qBool NEX_CLASS_ISVALID(notificationId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreNotification): public DDLType {
public:
    typedef DataStoreNotification CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreNotification)& oDataStoreNotification) {
        DDLCLASS(DataStoreNotification)::Add(pMessageToSend,oDataStoreNotification);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreNotification)* pDataStoreNotificationToRefresh) {
        DDLCLASS(DataStoreNotification)::Extract(pReceivedMessage,pDataStoreNotificationToRefresh);
    }
};

class DataStoreNotification: public DDLCLASS(DataStoreNotification) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
