#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "DataStoreRatingInfo.h"

BEGIN_NAMESPACE_NEX
class DataStoreRatingInfoWithSlot;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreRatingInfoWithSlot): public RootObject {
public:
    DDLCLASS(DataStoreRatingInfoWithSlot)():_mRevision_DataStoreRatingInfoWithSlot(0)
     {};
    DDLCLASS(DataStoreRatingInfoWithSlot)(const DDLCLASS(DataStoreRatingInfoWithSlot) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreRatingInfoWithSlot(oOther._mRevision_DataStoreRatingInfoWithSlot),
        slot(oOther.slot),
        rating(oOther.rating)
    {
    }
    virtual ~DDLCLASS(DataStoreRatingInfoWithSlot)() {};
    const DDLCLASS(DataStoreRatingInfoWithSlot) &operator=(const DDLCLASS(DataStoreRatingInfoWithSlot) &oOther);
    qBool operator==(const DDLCLASS(DataStoreRatingInfoWithSlot) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreRatingInfoWithSlot) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreRatingInfoWithSlot) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreRatingInfoWithSlot) *pValue);
    qByte _mRevision_DataStoreRatingInfoWithSlot;
    qByte GetClassRevision_DataStoreRatingInfoWithSlot() const {return _mRevision_DataStoreRatingInfoWithSlot;}
    void SetClassRevision_DataStoreRatingInfoWithSlot(qByte revision) {_mRevision_DataStoreRatingInfoWithSlot=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreRatingInfoWithSlot() {return 0;}
    DDLTYPE(int8)::CPPType slot;
    NEX_CLASS_VALID_REVISION_DEF(slot, 0);
    qBool NEX_CLASS_ISVALID(slot) const { return true; /* The revision is 0. Always true */}
    DataStoreRatingInfo rating;
    NEX_CLASS_VALID_REVISION_DEF(rating, 0);
    qBool NEX_CLASS_ISVALID(rating) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreRatingInfoWithSlot): public DDLType {
public:
    typedef DataStoreRatingInfoWithSlot CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreRatingInfoWithSlot)& oDataStoreRatingInfoWithSlot) {
        DDLCLASS(DataStoreRatingInfoWithSlot)::Add(pMessageToSend,oDataStoreRatingInfoWithSlot);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreRatingInfoWithSlot)* pDataStoreRatingInfoWithSlotToRefresh) {
        DDLCLASS(DataStoreRatingInfoWithSlot)::Extract(pReceivedMessage,pDataStoreRatingInfoWithSlotToRefresh);
    }
};

class DataStoreRatingInfoWithSlot: public DDLCLASS(DataStoreRatingInfoWithSlot) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
