#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqGetAdditionalMeta;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqGetAdditionalMeta): public RootObject {
public:
    DDLCLASS(DataStoreReqGetAdditionalMeta)():_mRevision_DataStoreReqGetAdditionalMeta(0)
     {};
    DDLCLASS(DataStoreReqGetAdditionalMeta)(const DDLCLASS(DataStoreReqGetAdditionalMeta) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqGetAdditionalMeta(oOther._mRevision_DataStoreReqGetAdditionalMeta),
        ownerId(oOther.ownerId),
        dataType(oOther.dataType),
        version(oOther.version),
        metaBinary(oOther.metaBinary)
    {
    }
    virtual ~DDLCLASS(DataStoreReqGetAdditionalMeta)() {};
    const DDLCLASS(DataStoreReqGetAdditionalMeta) &operator=(const DDLCLASS(DataStoreReqGetAdditionalMeta) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqGetAdditionalMeta) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqGetAdditionalMeta) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqGetAdditionalMeta) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqGetAdditionalMeta) *pValue);
    qByte _mRevision_DataStoreReqGetAdditionalMeta;
    qByte GetClassRevision_DataStoreReqGetAdditionalMeta() const {return _mRevision_DataStoreReqGetAdditionalMeta;}
    void SetClassRevision_DataStoreReqGetAdditionalMeta(qByte revision) {_mRevision_DataStoreReqGetAdditionalMeta=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqGetAdditionalMeta() {return 0;}
    DDLTYPE(uint32)::CPPType ownerId;
    NEX_CLASS_VALID_REVISION_DEF(ownerId, 0);
    qBool NEX_CLASS_ISVALID(ownerId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType dataType;
    NEX_CLASS_VALID_REVISION_DEF(dataType, 0);
    qBool NEX_CLASS_ISVALID(dataType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType version;
    NEX_CLASS_VALID_REVISION_DEF(version, 0);
    qBool NEX_CLASS_ISVALID(version) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType metaBinary;
    NEX_CLASS_VALID_REVISION_DEF(metaBinary, 0);
    qBool NEX_CLASS_ISVALID(metaBinary) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreReqGetAdditionalMeta): public DDLType {
public:
    typedef DataStoreReqGetAdditionalMeta CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqGetAdditionalMeta)& oDataStoreReqGetAdditionalMeta) {
        DDLCLASS(DataStoreReqGetAdditionalMeta)::Add(pMessageToSend,oDataStoreReqGetAdditionalMeta);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqGetAdditionalMeta)* pDataStoreReqGetAdditionalMetaToRefresh) {
        DDLCLASS(DataStoreReqGetAdditionalMeta)::Extract(pReceivedMessage,pDataStoreReqGetAdditionalMetaToRefresh);
    }
};

class DataStoreReqGetAdditionalMeta: public DDLCLASS(DataStoreReqGetAdditionalMeta) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
