#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreReqGetNotificationUrlInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreReqGetNotificationUrlInfo): public RootObject {
public:
    DDLCLASS(DataStoreReqGetNotificationUrlInfo)():_mRevision_DataStoreReqGetNotificationUrlInfo(0)
    , rootCaCert(0)     {};
    DDLCLASS(DataStoreReqGetNotificationUrlInfo)(const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreReqGetNotificationUrlInfo(oOther._mRevision_DataStoreReqGetNotificationUrlInfo),
        url(oOther.url),
        key(oOther.key),
        query(oOther.query),
        rootCaCert(oOther.rootCaCert)
    {
    }
    virtual ~DDLCLASS(DataStoreReqGetNotificationUrlInfo)() {};
    const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &operator=(const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &oOther);
    qBool operator==(const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreReqGetNotificationUrlInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreReqGetNotificationUrlInfo) *pValue);
    qByte _mRevision_DataStoreReqGetNotificationUrlInfo;
    qByte GetClassRevision_DataStoreReqGetNotificationUrlInfo() const {return _mRevision_DataStoreReqGetNotificationUrlInfo;}
    void SetClassRevision_DataStoreReqGetNotificationUrlInfo(qByte revision) {_mRevision_DataStoreReqGetNotificationUrlInfo=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreReqGetNotificationUrlInfo() {return 0;}
    DDLTYPE(string)::CPPType url;
    NEX_CLASS_VALID_REVISION_DEF(url, 0);
    qBool NEX_CLASS_ISVALID(url) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType key;
    NEX_CLASS_VALID_REVISION_DEF(key, 0);
    qBool NEX_CLASS_ISVALID(key) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType query;
    NEX_CLASS_VALID_REVISION_DEF(query, 0);
    qBool NEX_CLASS_ISVALID(query) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType rootCaCert;
    NEX_CLASS_VALID_REVISION_DEF(rootCaCert, 0);
    qBool NEX_CLASS_ISVALID(rootCaCert) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(DataStoreReqGetNotificationUrlInfo): public DDLType {
public:
    typedef DataStoreReqGetNotificationUrlInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreReqGetNotificationUrlInfo)& oDataStoreReqGetNotificationUrlInfo) {
        DDLCLASS(DataStoreReqGetNotificationUrlInfo)::Add(pMessageToSend,oDataStoreReqGetNotificationUrlInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreReqGetNotificationUrlInfo)* pDataStoreReqGetNotificationUrlInfoToRefresh) {
        DDLCLASS(DataStoreReqGetNotificationUrlInfo)::Extract(pReceivedMessage,pDataStoreReqGetNotificationUrlInfoToRefresh);
    }
};

class DataStoreReqGetNotificationUrlInfo: public DDLCLASS(DataStoreReqGetNotificationUrlInfo) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
