#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class DataStoreTouchObjectParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(DataStoreTouchObjectParam): public RootObject {
public:
    DDLCLASS(DataStoreTouchObjectParam)():_mRevision_DataStoreTouchObjectParam(0)
     {};
    DDLCLASS(DataStoreTouchObjectParam)(const DDLCLASS(DataStoreTouchObjectParam) &oOther):
        RootObject(oOther),
        _mRevision_DataStoreTouchObjectParam(oOther._mRevision_DataStoreTouchObjectParam),
        dataId(oOther.dataId),
        lockId(oOther.lockId),
        accessPassword(oOther.accessPassword)
    {
    }
    virtual ~DDLCLASS(DataStoreTouchObjectParam)() {};
    const DDLCLASS(DataStoreTouchObjectParam) &operator=(const DDLCLASS(DataStoreTouchObjectParam) &oOther);
    qBool operator==(const DDLCLASS(DataStoreTouchObjectParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(DataStoreTouchObjectParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(DataStoreTouchObjectParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(DataStoreTouchObjectParam) *pValue);
    qByte _mRevision_DataStoreTouchObjectParam;
    qByte GetClassRevision_DataStoreTouchObjectParam() const {return _mRevision_DataStoreTouchObjectParam;}
    void SetClassRevision_DataStoreTouchObjectParam(qByte revision) {_mRevision_DataStoreTouchObjectParam=revision;}
    static qByte GetKnownMaxClassRevision_DataStoreTouchObjectParam() {return 0;}
    DDLTYPE(uint64)::CPPType dataId;
    NEX_CLASS_VALID_REVISION_DEF(dataId, 0);
    qBool NEX_CLASS_ISVALID(dataId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType lockId;
    NEX_CLASS_VALID_REVISION_DEF(lockId, 0);
    qBool NEX_CLASS_ISVALID(lockId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType accessPassword;
    NEX_CLASS_VALID_REVISION_DEF(accessPassword, 0);
    qBool NEX_CLASS_ISVALID(accessPassword) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(DataStoreTouchObjectParam): public DDLType {
public:
    typedef DataStoreTouchObjectParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(DataStoreTouchObjectParam)& oDataStoreTouchObjectParam) {
        DDLCLASS(DataStoreTouchObjectParam)::Add(pMessageToSend,oDataStoreTouchObjectParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(DataStoreTouchObjectParam)* pDataStoreTouchObjectParamToRefresh) {
        DDLCLASS(DataStoreTouchObjectParam)::Extract(pReceivedMessage,pDataStoreTouchObjectParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
