#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class MatchmakeRefereePersonalRoundResult;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(MatchmakeRefereePersonalRoundResult): public RootObject {
public:
    DDLCLASS(MatchmakeRefereePersonalRoundResult)():_mRevision_MatchmakeRefereePersonalRoundResult(0)
     {};
    DDLCLASS(MatchmakeRefereePersonalRoundResult)(const DDLCLASS(MatchmakeRefereePersonalRoundResult) &oOther):
        RootObject(oOther),
        _mRevision_MatchmakeRefereePersonalRoundResult(oOther._mRevision_MatchmakeRefereePersonalRoundResult),
        pid(oOther.pid),
        personalRoundResultFlag(oOther.personalRoundResultFlag),
        roundWinLoss(oOther.roundWinLoss),
        ratingValueChange(oOther.ratingValueChange),
        buffer(oOther.buffer)
    {
    }
    virtual ~DDLCLASS(MatchmakeRefereePersonalRoundResult)() {};
    const DDLCLASS(MatchmakeRefereePersonalRoundResult) &operator=(const DDLCLASS(MatchmakeRefereePersonalRoundResult) &oOther);
    qBool operator==(const DDLCLASS(MatchmakeRefereePersonalRoundResult) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(MatchmakeRefereePersonalRoundResult) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(MatchmakeRefereePersonalRoundResult) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(MatchmakeRefereePersonalRoundResult) *pValue);
    qByte _mRevision_MatchmakeRefereePersonalRoundResult;
    qByte GetClassRevision_MatchmakeRefereePersonalRoundResult() const {return _mRevision_MatchmakeRefereePersonalRoundResult;}
    void SetClassRevision_MatchmakeRefereePersonalRoundResult(qByte revision) {_mRevision_MatchmakeRefereePersonalRoundResult=revision;}
    static qByte GetKnownMaxClassRevision_MatchmakeRefereePersonalRoundResult() {return 0;}
    DDLTYPE(uint32)::CPPType pid;
    NEX_CLASS_VALID_REVISION_DEF(pid, 0);
    qBool NEX_CLASS_ISVALID(pid) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType personalRoundResultFlag;
    NEX_CLASS_VALID_REVISION_DEF(personalRoundResultFlag, 0);
    qBool NEX_CLASS_ISVALID(personalRoundResultFlag) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType roundWinLoss;
    NEX_CLASS_VALID_REVISION_DEF(roundWinLoss, 0);
    qBool NEX_CLASS_ISVALID(roundWinLoss) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(int32)::CPPType ratingValueChange;
    NEX_CLASS_VALID_REVISION_DEF(ratingValueChange, 0);
    qBool NEX_CLASS_ISVALID(ratingValueChange) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType buffer;
    NEX_CLASS_VALID_REVISION_DEF(buffer, 0);
    qBool NEX_CLASS_ISVALID(buffer) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(MatchmakeRefereePersonalRoundResult): public DDLType {
public:
    typedef MatchmakeRefereePersonalRoundResult CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(MatchmakeRefereePersonalRoundResult)& oMatchmakeRefereePersonalRoundResult) {
        DDLCLASS(MatchmakeRefereePersonalRoundResult)::Add(pMessageToSend,oMatchmakeRefereePersonalRoundResult);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(MatchmakeRefereePersonalRoundResult)* pMatchmakeRefereePersonalRoundResultToRefresh) {
        DDLCLASS(MatchmakeRefereePersonalRoundResult)::Extract(pReceivedMessage,pMatchmakeRefereePersonalRoundResultToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
