#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class RankingScoreData;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(RankingScoreData): public RootObject {
public:
    DDLCLASS(RankingScoreData)():_mRevision_RankingScoreData(0)
    , groups(0)     {};
    DDLCLASS(RankingScoreData)(const DDLCLASS(RankingScoreData) &oOther):
        RootObject(oOther),
        _mRevision_RankingScoreData(oOther._mRevision_RankingScoreData),
        category(oOther.category),
        score(oOther.score),
        orderBy(oOther.orderBy),
        updateMode(oOther.updateMode),
        groups(oOther.groups),
        param(oOther.param)
    {
    }
    virtual ~DDLCLASS(RankingScoreData)() {};
    const DDLCLASS(RankingScoreData) &operator=(const DDLCLASS(RankingScoreData) &oOther);
    qBool operator==(const DDLCLASS(RankingScoreData) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(RankingScoreData) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(RankingScoreData) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(RankingScoreData) *pValue);
    qByte _mRevision_RankingScoreData;
    qByte GetClassRevision_RankingScoreData() const {return _mRevision_RankingScoreData;}
    void SetClassRevision_RankingScoreData(qByte revision) {_mRevision_RankingScoreData=revision;}
    static qByte GetKnownMaxClassRevision_RankingScoreData() {return 0;}
    DDLTYPE(uint32)::CPPType category;
    NEX_CLASS_VALID_REVISION_DEF(category, 0);
    qBool NEX_CLASS_ISVALID(category) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType score;
    NEX_CLASS_VALID_REVISION_DEF(score, 0);
    qBool NEX_CLASS_ISVALID(score) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType orderBy;
    NEX_CLASS_VALID_REVISION_DEF(orderBy, 0);
    qBool NEX_CLASS_ISVALID(orderBy) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType updateMode;
    NEX_CLASS_VALID_REVISION_DEF(updateMode, 0);
    qBool NEX_CLASS_ISVALID(updateMode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< DDLTYPE(byte) >::CPPType groups;
    NEX_CLASS_VALID_REVISION_DEF(groups, 0);
    qBool NEX_CLASS_ISVALID(groups) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint64)::CPPType param;
    NEX_CLASS_VALID_REVISION_DEF(param, 0);
    qBool NEX_CLASS_ISVALID(param) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(RankingScoreData): public DDLType {
public:
    typedef RankingScoreData CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(RankingScoreData)& oRankingScoreData) {
        DDLCLASS(RankingScoreData)::Add(pMessageToSend,oRankingScoreData);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(RankingScoreData)* pRankingScoreDataToRefresh) {
        DDLCLASS(RankingScoreData)::Extract(pReceivedMessage,pRankingScoreDataToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
