#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemAmount;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemAmount): public RootObject {
public:
    DDLCLASS(ServiceItemAmount)():_mRevision_ServiceItemAmount(0)
     {};
    DDLCLASS(ServiceItemAmount)(const DDLCLASS(ServiceItemAmount) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemAmount(oOther._mRevision_ServiceItemAmount),
        formattedAmount(oOther.formattedAmount),
        currency(oOther.currency),
        rawValue(oOther.rawValue)
    {
    }
    virtual ~DDLCLASS(ServiceItemAmount)() {};
    const DDLCLASS(ServiceItemAmount) &operator=(const DDLCLASS(ServiceItemAmount) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemAmount) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemAmount) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemAmount) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemAmount) *pValue);
    qByte _mRevision_ServiceItemAmount;
    qByte GetClassRevision_ServiceItemAmount() const {return _mRevision_ServiceItemAmount;}
    void SetClassRevision_ServiceItemAmount(qByte revision) {_mRevision_ServiceItemAmount=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemAmount() {return 0;}
    DDLTYPE(string)::CPPType formattedAmount;
    NEX_CLASS_VALID_REVISION_DEF(formattedAmount, 0);
    qBool NEX_CLASS_ISVALID(formattedAmount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType currency;
    NEX_CLASS_VALID_REVISION_DEF(currency, 0);
    qBool NEX_CLASS_ISVALID(currency) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType rawValue;
    NEX_CLASS_VALID_REVISION_DEF(rawValue, 0);
    qBool NEX_CLASS_ISVALID(rawValue) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemAmount): public DDLType {
public:
    typedef ServiceItemAmount CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemAmount)& oServiceItemAmount) {
        DDLCLASS(ServiceItemAmount)::Add(pMessageToSend,oServiceItemAmount);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemAmount)* pServiceItemAmountToRefresh) {
        DDLCLASS(ServiceItemAmount)::Extract(pReceivedMessage,pServiceItemAmountToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
