#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemGetNoticeParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemGetNoticeParam): public RootObject {
public:
    DDLCLASS(ServiceItemGetNoticeParam)():_mRevision_ServiceItemGetNoticeParam(0)
     {};
    DDLCLASS(ServiceItemGetNoticeParam)(const DDLCLASS(ServiceItemGetNoticeParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemGetNoticeParam(oOther._mRevision_ServiceItemGetNoticeParam),
        scheduleType(oOther.scheduleType)
    {
    }
    virtual ~DDLCLASS(ServiceItemGetNoticeParam)() {};
    const DDLCLASS(ServiceItemGetNoticeParam) &operator=(const DDLCLASS(ServiceItemGetNoticeParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemGetNoticeParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemGetNoticeParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemGetNoticeParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemGetNoticeParam) *pValue);
    qByte _mRevision_ServiceItemGetNoticeParam;
    qByte GetClassRevision_ServiceItemGetNoticeParam() const {return _mRevision_ServiceItemGetNoticeParam;}
    void SetClassRevision_ServiceItemGetNoticeParam(qByte revision) {_mRevision_ServiceItemGetNoticeParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemGetNoticeParam() {return 0;}
    DDLTYPE(uint32)::CPPType scheduleType;
    NEX_CLASS_VALID_REVISION_DEF(scheduleType, 0);
    qBool NEX_CLASS_ISVALID(scheduleType) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(ServiceItemGetNoticeParam): public DDLType {
public:
    typedef ServiceItemGetNoticeParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemGetNoticeParam)& oServiceItemGetNoticeParam) {
        DDLCLASS(ServiceItemGetNoticeParam)::Add(pMessageToSend,oServiceItemGetNoticeParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemGetNoticeParam)* pServiceItemGetNoticeParamToRefresh) {
        DDLCLASS(ServiceItemGetNoticeParam)::Extract(pReceivedMessage,pServiceItemGetNoticeParamToRefresh);
    }
};

class ServiceItemGetNoticeParam: public DDLCLASS(ServiceItemGetNoticeParam) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
