#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemLawMessage;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemLawMessage): public RootObject {
public:
    DDLCLASS(ServiceItemLawMessage)():_mRevision_ServiceItemLawMessage(0)
     {};
    DDLCLASS(ServiceItemLawMessage)(const DDLCLASS(ServiceItemLawMessage) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemLawMessage(oOther._mRevision_ServiceItemLawMessage),
        isMessageRequired(oOther.isMessageRequired),
        lawMessage(oOther.lawMessage)
    {
    }
    virtual ~DDLCLASS(ServiceItemLawMessage)() {};
    const DDLCLASS(ServiceItemLawMessage) &operator=(const DDLCLASS(ServiceItemLawMessage) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemLawMessage) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemLawMessage) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemLawMessage) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemLawMessage) *pValue);
    qByte _mRevision_ServiceItemLawMessage;
    qByte GetClassRevision_ServiceItemLawMessage() const {return _mRevision_ServiceItemLawMessage;}
    void SetClassRevision_ServiceItemLawMessage(qByte revision) {_mRevision_ServiceItemLawMessage=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemLawMessage() {return 0;}
    DDLTYPE(bool)::CPPType isMessageRequired;
    NEX_CLASS_VALID_REVISION_DEF(isMessageRequired, 0);
    qBool NEX_CLASS_ISVALID(isMessageRequired) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType lawMessage;
    NEX_CLASS_VALID_REVISION_DEF(lawMessage, 0);
    qBool NEX_CLASS_ISVALID(lawMessage) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemLawMessage): public DDLType {
public:
    typedef ServiceItemLawMessage CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemLawMessage)& oServiceItemLawMessage) {
        DDLCLASS(ServiceItemLawMessage)::Add(pMessageToSend,oServiceItemLawMessage);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemLawMessage)* pServiceItemLawMessageToRefresh) {
        DDLCLASS(ServiceItemLawMessage)::Extract(pReceivedMessage,pServiceItemLawMessageToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
