#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemLimitation;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemLimitation): public RootObject {
public:
    DDLCLASS(ServiceItemLimitation)():_mRevision_ServiceItemLimitation(0)
     {};
    DDLCLASS(ServiceItemLimitation)(const DDLCLASS(ServiceItemLimitation) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemLimitation(oOther._mRevision_ServiceItemLimitation),
        limitationType(oOther.limitationType),
        limitationValue(oOther.limitationValue)
    {
    }
    virtual ~DDLCLASS(ServiceItemLimitation)() {};
    const DDLCLASS(ServiceItemLimitation) &operator=(const DDLCLASS(ServiceItemLimitation) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemLimitation) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemLimitation) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemLimitation) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemLimitation) *pValue);
    qByte _mRevision_ServiceItemLimitation;
    qByte GetClassRevision_ServiceItemLimitation() const {return _mRevision_ServiceItemLimitation;}
    void SetClassRevision_ServiceItemLimitation(qByte revision) {_mRevision_ServiceItemLimitation=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemLimitation() {return 0;}
    DDLTYPE(uint32)::CPPType limitationType;
    NEX_CLASS_VALID_REVISION_DEF(limitationType, 0);
    qBool NEX_CLASS_ISVALID(limitationType) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType limitationValue;
    NEX_CLASS_VALID_REVISION_DEF(limitationValue, 0);
    qBool NEX_CLASS_ISVALID(limitationValue) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemLimitation): public DDLType {
public:
    typedef ServiceItemLimitation CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemLimitation)& oServiceItemLimitation) {
        DDLCLASS(ServiceItemLimitation)::Add(pMessageToSend,oServiceItemLimitation);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemLimitation)* pServiceItemLimitationToRefresh) {
        DDLCLASS(ServiceItemLimitation)::Extract(pReceivedMessage,pServiceItemLimitationToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
