#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAutoBillingPlans.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListAutoBillingServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListAutoBillingServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)():_mRevision_ServiceItemListAutoBillingServiceItemResponse(0)
    , nullablePlans(0)     {};
    DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)(const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemListAutoBillingServiceItemResponse(oOther._mRevision_ServiceItemListAutoBillingServiceItemResponse),
        nullablePlans(oOther.nullablePlans)
    {
    }
    virtual ~DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)() {};
    const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &operator=(const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListAutoBillingServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemListAutoBillingServiceItemResponse;
    qByte GetClassRevision_ServiceItemListAutoBillingServiceItemResponse() const {return _mRevision_ServiceItemListAutoBillingServiceItemResponse;}
    void SetClassRevision_ServiceItemListAutoBillingServiceItemResponse(qByte revision) {_mRevision_ServiceItemListAutoBillingServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListAutoBillingServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemAutoBillingPlans) >::CPPType nullablePlans;
    NEX_CLASS_VALID_REVISION_DEF(nullablePlans, 0);
    qBool NEX_CLASS_ISVALID(nullablePlans) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListAutoBillingServiceItemResponse): public DDLType {
public:
    typedef ServiceItemListAutoBillingServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)& oServiceItemListAutoBillingServiceItemResponse) {
        DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)::Add(pMessageToSend,oServiceItemListAutoBillingServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)* pServiceItemListAutoBillingServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemListAutoBillingServiceItemResponse)::Extract(pReceivedMessage,pServiceItemListAutoBillingServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
