#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemRedemptionCatalog.h"

BEGIN_NAMESPACE_NEX
class ServiceItemListRedemptionServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemListRedemptionServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemListRedemptionServiceItemResponse)():_mRevision_ServiceItemListRedemptionServiceItemResponse(0)
    , nullableCatalog(0)     {};
    DDLCLASS(ServiceItemListRedemptionServiceItemResponse)(const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemListRedemptionServiceItemResponse(oOther._mRevision_ServiceItemListRedemptionServiceItemResponse),
        nullableCatalog(oOther.nullableCatalog)
    {
    }
    virtual ~DDLCLASS(ServiceItemListRedemptionServiceItemResponse)() {};
    const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &operator=(const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemListRedemptionServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemListRedemptionServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemListRedemptionServiceItemResponse;
    qByte GetClassRevision_ServiceItemListRedemptionServiceItemResponse() const {return _mRevision_ServiceItemListRedemptionServiceItemResponse;}
    void SetClassRevision_ServiceItemListRedemptionServiceItemResponse(qByte revision) {_mRevision_ServiceItemListRedemptionServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemListRedemptionServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRedemptionCatalog) >::CPPType nullableCatalog;
    NEX_CLASS_VALID_REVISION_DEF(nullableCatalog, 0);
    qBool NEX_CLASS_ISVALID(nullableCatalog) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemListRedemptionServiceItemResponse): public DDLType {
public:
    typedef ServiceItemListRedemptionServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemListRedemptionServiceItemResponse)& oServiceItemListRedemptionServiceItemResponse) {
        DDLCLASS(ServiceItemListRedemptionServiceItemResponse)::Add(pMessageToSend,oServiceItemListRedemptionServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemListRedemptionServiceItemResponse)* pServiceItemListRedemptionServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemListRedemptionServiceItemResponse)::Extract(pReceivedMessage,pServiceItemListRedemptionServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
