#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemAmount.h"

BEGIN_NAMESPACE_NEX
class ServiceItemPurchaseInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemPurchaseInfo): public RootObject {
public:
    DDLCLASS(ServiceItemPurchaseInfo)():_mRevision_ServiceItemPurchaseInfo(0)
     {};
    DDLCLASS(ServiceItemPurchaseInfo)(const DDLCLASS(ServiceItemPurchaseInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemPurchaseInfo(oOther._mRevision_ServiceItemPurchaseInfo),
        transactionId(oOther.transactionId),
        extTransactionId(oOther.extTransactionId),
        itemCode(oOther.itemCode),
        postBalance(oOther.postBalance)
    {
    }
    virtual ~DDLCLASS(ServiceItemPurchaseInfo)() {};
    const DDLCLASS(ServiceItemPurchaseInfo) &operator=(const DDLCLASS(ServiceItemPurchaseInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemPurchaseInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemPurchaseInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemPurchaseInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemPurchaseInfo) *pValue);
    qByte _mRevision_ServiceItemPurchaseInfo;
    qByte GetClassRevision_ServiceItemPurchaseInfo() const {return _mRevision_ServiceItemPurchaseInfo;}
    void SetClassRevision_ServiceItemPurchaseInfo(qByte revision) {_mRevision_ServiceItemPurchaseInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemPurchaseInfo() {return 0;}
    DDLTYPE(string)::CPPType transactionId;
    NEX_CLASS_VALID_REVISION_DEF(transactionId, 0);
    qBool NEX_CLASS_ISVALID(transactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType extTransactionId;
    NEX_CLASS_VALID_REVISION_DEF(extTransactionId, 0);
    qBool NEX_CLASS_ISVALID(extTransactionId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    ServiceItemAmount postBalance;
    NEX_CLASS_VALID_REVISION_DEF(postBalance, 0);
    qBool NEX_CLASS_ISVALID(postBalance) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemPurchaseInfo): public DDLType {
public:
    typedef ServiceItemPurchaseInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemPurchaseInfo)& oServiceItemPurchaseInfo) {
        DDLCLASS(ServiceItemPurchaseInfo)::Add(pMessageToSend,oServiceItemPurchaseInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemPurchaseInfo)* pServiceItemPurchaseInfoToRefresh) {
        DDLCLASS(ServiceItemPurchaseInfo)::Extract(pReceivedMessage,pServiceItemPurchaseInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
