#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRedeemServiceItemParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRedeemServiceItemParam): public RootObject {
public:
    DDLCLASS(ServiceItemRedeemServiceItemParam)():_mRevision_ServiceItemRedeemServiceItemParam(0)
     {};
    DDLCLASS(ServiceItemRedeemServiceItemParam)(const DDLCLASS(ServiceItemRedeemServiceItemParam) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRedeemServiceItemParam(oOther._mRevision_ServiceItemRedeemServiceItemParam),
        itemCode(oOther.itemCode),
        cardNumber(oOther.cardNumber),
        referenceId(oOther.referenceId),
        itemName(oOther.itemName),
        ecServiceToken(oOther.ecServiceToken),
        language(oOther.language),
        uniqueId(oOther.uniqueId),
        platform(oOther.platform),
        periodId(oOther.periodId)
    {
    }
    virtual ~DDLCLASS(ServiceItemRedeemServiceItemParam)() {};
    const DDLCLASS(ServiceItemRedeemServiceItemParam) &operator=(const DDLCLASS(ServiceItemRedeemServiceItemParam) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRedeemServiceItemParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRedeemServiceItemParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRedeemServiceItemParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRedeemServiceItemParam) *pValue);
    qByte _mRevision_ServiceItemRedeemServiceItemParam;
    qByte GetClassRevision_ServiceItemRedeemServiceItemParam() const {return _mRevision_ServiceItemRedeemServiceItemParam;}
    void SetClassRevision_ServiceItemRedeemServiceItemParam(qByte revision) {_mRevision_ServiceItemRedeemServiceItemParam=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRedeemServiceItemParam() {return 0;}
    DDLTYPE(string)::CPPType itemCode;
    NEX_CLASS_VALID_REVISION_DEF(itemCode, 0);
    qBool NEX_CLASS_ISVALID(itemCode) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType cardNumber;
    NEX_CLASS_VALID_REVISION_DEF(cardNumber, 0);
    qBool NEX_CLASS_ISVALID(cardNumber) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType referenceId;
    NEX_CLASS_VALID_REVISION_DEF(referenceId, 0);
    qBool NEX_CLASS_ISVALID(referenceId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType itemName;
    NEX_CLASS_VALID_REVISION_DEF(itemName, 0);
    qBool NEX_CLASS_ISVALID(itemName) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType ecServiceToken;
    NEX_CLASS_VALID_REVISION_DEF(ecServiceToken, 0);
    qBool NEX_CLASS_ISVALID(ecServiceToken) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType language;
    NEX_CLASS_VALID_REVISION_DEF(language, 0);
    qBool NEX_CLASS_ISVALID(language) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType uniqueId;
    NEX_CLASS_VALID_REVISION_DEF(uniqueId, 0);
    qBool NEX_CLASS_ISVALID(uniqueId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(byte)::CPPType platform;
    NEX_CLASS_VALID_REVISION_DEF(platform, 0);
    qBool NEX_CLASS_ISVALID(platform) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint16)::CPPType periodId;
    NEX_CLASS_VALID_REVISION_DEF(periodId, 0);
    qBool NEX_CLASS_ISVALID(periodId) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRedeemServiceItemParam): public DDLType {
public:
    typedef ServiceItemRedeemServiceItemParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRedeemServiceItemParam)& oServiceItemRedeemServiceItemParam) {
        DDLCLASS(ServiceItemRedeemServiceItemParam)::Add(pMessageToSend,oServiceItemRedeemServiceItemParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRedeemServiceItemParam)* pServiceItemRedeemServiceItemParamToRefresh) {
        DDLCLASS(ServiceItemRedeemServiceItemParam)::Extract(pReceivedMessage,pServiceItemRedeemServiceItemParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
