#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemRightConsumptionInfo.h"
#include "ServiceItemRightTimeInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemRightInfos;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemRightInfos): public RootObject {
public:
    DDLCLASS(ServiceItemRightInfos)():_mRevision_ServiceItemRightInfos(0)
    , consumptionRightInfos(0)    , additionalTimeRightInfos(0)    , permanentRightInfos(0)     {};
    DDLCLASS(ServiceItemRightInfos)(const DDLCLASS(ServiceItemRightInfos) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemRightInfos(oOther._mRevision_ServiceItemRightInfos),
        supportId(oOther.supportId),
        consumptionRightInfos(oOther.consumptionRightInfos),
        additionalTimeRightInfos(oOther.additionalTimeRightInfos),
        permanentRightInfos(oOther.permanentRightInfos),
        alreadyPurchasedInitialOnlyItem(oOther.alreadyPurchasedInitialOnlyItem)
    {
    }
    virtual ~DDLCLASS(ServiceItemRightInfos)() {};
    const DDLCLASS(ServiceItemRightInfos) &operator=(const DDLCLASS(ServiceItemRightInfos) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemRightInfos) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemRightInfos) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemRightInfos) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemRightInfos) *pValue);
    qByte _mRevision_ServiceItemRightInfos;
    qByte GetClassRevision_ServiceItemRightInfos() const {return _mRevision_ServiceItemRightInfos;}
    void SetClassRevision_ServiceItemRightInfos(qByte revision) {_mRevision_ServiceItemRightInfos=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemRightInfos() {return 0;}
    DDLTYPE(string)::CPPType supportId;
    NEX_CLASS_VALID_REVISION_DEF(supportId, 0);
    qBool NEX_CLASS_ISVALID(supportId) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRightConsumptionInfo) >::CPPType consumptionRightInfos;
    NEX_CLASS_VALID_REVISION_DEF(consumptionRightInfos, 0);
    qBool NEX_CLASS_ISVALID(consumptionRightInfos) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRightTimeInfo) >::CPPType additionalTimeRightInfos;
    NEX_CLASS_VALID_REVISION_DEF(additionalTimeRightInfos, 0);
    qBool NEX_CLASS_ISVALID(additionalTimeRightInfos) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemRightTimeInfo) >::CPPType permanentRightInfos;
    NEX_CLASS_VALID_REVISION_DEF(permanentRightInfos, 0);
    qBool NEX_CLASS_ISVALID(permanentRightInfos) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(bool)::CPPType alreadyPurchasedInitialOnlyItem;
    NEX_CLASS_VALID_REVISION_DEF(alreadyPurchasedInitialOnlyItem, 0);
    qBool NEX_CLASS_ISVALID(alreadyPurchasedInitialOnlyItem) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemRightInfos): public DDLType {
public:
    typedef ServiceItemRightInfos CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemRightInfos)& oServiceItemRightInfos) {
        DDLCLASS(ServiceItemRightInfos)::Add(pMessageToSend,oServiceItemRightInfos);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemRightInfos)* pServiceItemRightInfosToRefresh) {
        DDLCLASS(ServiceItemRightInfos)::Extract(pReceivedMessage,pServiceItemRightInfosToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
