#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "ServiceItemEShopResponse.h"
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "ServiceItemUsedInfo.h"

BEGIN_NAMESPACE_NEX
class ServiceItemUseServiceItemResponse;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemUseServiceItemResponse): public ServiceItemEShopResponse {
public:
    DDLCLASS(ServiceItemUseServiceItemResponse)():_mRevision_ServiceItemUseServiceItemResponse(0)
    , nullableUsedInfo(0)     {};
    DDLCLASS(ServiceItemUseServiceItemResponse)(const DDLCLASS(ServiceItemUseServiceItemResponse) &oOther):
        ServiceItemEShopResponse(oOther),
        _mRevision_ServiceItemUseServiceItemResponse(oOther._mRevision_ServiceItemUseServiceItemResponse),
        nullableUsedInfo(oOther.nullableUsedInfo)
    {
    }
    virtual ~DDLCLASS(ServiceItemUseServiceItemResponse)() {};
    const DDLCLASS(ServiceItemUseServiceItemResponse) &operator=(const DDLCLASS(ServiceItemUseServiceItemResponse) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemUseServiceItemResponse) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemUseServiceItemResponse) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemUseServiceItemResponse) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemUseServiceItemResponse) *pValue);
    qByte _mRevision_ServiceItemUseServiceItemResponse;
    qByte GetClassRevision_ServiceItemUseServiceItemResponse() const {return _mRevision_ServiceItemUseServiceItemResponse;}
    void SetClassRevision_ServiceItemUseServiceItemResponse(qByte revision) {_mRevision_ServiceItemUseServiceItemResponse=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemUseServiceItemResponse() {return 0;}
    DDLTYPE(qvector)< CLASSMETATYPE(ServiceItemUsedInfo) >::CPPType nullableUsedInfo;
    NEX_CLASS_VALID_REVISION_DEF(nullableUsedInfo, 0);
    qBool NEX_CLASS_ISVALID(nullableUsedInfo) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemUseServiceItemResponse): public DDLType {
public:
    typedef ServiceItemUseServiceItemResponse CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemUseServiceItemResponse)& oServiceItemUseServiceItemResponse) {
        DDLCLASS(ServiceItemUseServiceItemResponse)::Add(pMessageToSend,oServiceItemUseServiceItemResponse);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemUseServiceItemResponse)* pServiceItemUseServiceItemResponseToRefresh) {
        DDLCLASS(ServiceItemUseServiceItemResponse)::Extract(pReceivedMessage,pServiceItemUseServiceItemResponseToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
