#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class ServiceItemUsedInfo;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(ServiceItemUsedInfo): public RootObject {
public:
    DDLCLASS(ServiceItemUsedInfo)():_mRevision_ServiceItemUsedInfo(0)
     {};
    DDLCLASS(ServiceItemUsedInfo)(const DDLCLASS(ServiceItemUsedInfo) &oOther):
        RootObject(oOther),
        _mRevision_ServiceItemUsedInfo(oOther._mRevision_ServiceItemUsedInfo),
        acquiredCount(oOther.acquiredCount),
        usedCount(oOther.usedCount)
    {
    }
    virtual ~DDLCLASS(ServiceItemUsedInfo)() {};
    const DDLCLASS(ServiceItemUsedInfo) &operator=(const DDLCLASS(ServiceItemUsedInfo) &oOther);
    qBool operator==(const DDLCLASS(ServiceItemUsedInfo) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(ServiceItemUsedInfo) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(ServiceItemUsedInfo) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(ServiceItemUsedInfo) *pValue);
    qByte _mRevision_ServiceItemUsedInfo;
    qByte GetClassRevision_ServiceItemUsedInfo() const {return _mRevision_ServiceItemUsedInfo;}
    void SetClassRevision_ServiceItemUsedInfo(qByte revision) {_mRevision_ServiceItemUsedInfo=revision;}
    static qByte GetKnownMaxClassRevision_ServiceItemUsedInfo() {return 0;}
    DDLTYPE(uint32)::CPPType acquiredCount;
    NEX_CLASS_VALID_REVISION_DEF(acquiredCount, 0);
    qBool NEX_CLASS_ISVALID(acquiredCount) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType usedCount;
    NEX_CLASS_VALID_REVISION_DEF(usedCount, 0);
    qBool NEX_CLASS_ISVALID(usedCount) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(ServiceItemUsedInfo): public DDLType {
public:
    typedef ServiceItemUsedInfo CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(ServiceItemUsedInfo)& oServiceItemUsedInfo) {
        DDLCLASS(ServiceItemUsedInfo)::Add(pMessageToSend,oServiceItemUsedInfo);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(ServiceItemUsedInfo)* pServiceItemUsedInfoToRefresh) {
        DDLCLASS(ServiceItemUsedInfo)::Extract(pReceivedMessage,pServiceItemUsedInfoToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
