#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"

BEGIN_NAMESPACE_NEX
class SubscriberPostContentParam;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(SubscriberPostContentParam): public RootObject {
public:
    DDLCLASS(SubscriberPostContentParam)():_mRevision_SubscriberPostContentParam(0)
    , topics(0)     {};
    DDLCLASS(SubscriberPostContentParam)(const DDLCLASS(SubscriberPostContentParam) &oOther):
        RootObject(oOther),
        _mRevision_SubscriberPostContentParam(oOther._mRevision_SubscriberPostContentParam),
        topics(oOther.topics),
        message(oOther.message),
        binary(oOther.binary)
    {
    }
    virtual ~DDLCLASS(SubscriberPostContentParam)() {};
    const DDLCLASS(SubscriberPostContentParam) &operator=(const DDLCLASS(SubscriberPostContentParam) &oOther);
    qBool operator==(const DDLCLASS(SubscriberPostContentParam) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(SubscriberPostContentParam) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(SubscriberPostContentParam) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(SubscriberPostContentParam) *pValue);
    qByte _mRevision_SubscriberPostContentParam;
    qByte GetClassRevision_SubscriberPostContentParam() const {return _mRevision_SubscriberPostContentParam;}
    void SetClassRevision_SubscriberPostContentParam(qByte revision) {_mRevision_SubscriberPostContentParam=revision;}
    static qByte GetKnownMaxClassRevision_SubscriberPostContentParam() {return 0;}
    DDLTYPE(qvector)< DDLTYPE(string) >::CPPType topics;
    NEX_CLASS_VALID_REVISION_DEF(topics, 0);
    qBool NEX_CLASS_ISVALID(topics) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(string)::CPPType message;
    NEX_CLASS_VALID_REVISION_DEF(message, 0);
    qBool NEX_CLASS_ISVALID(message) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(qBuffer)::CPPType binary;
    NEX_CLASS_VALID_REVISION_DEF(binary, 0);
    qBool NEX_CLASS_ISVALID(binary) const { return true; /* The revision is 0. Always true */}
};


class DDLTYPE(SubscriberPostContentParam): public DDLType {
public:
    typedef SubscriberPostContentParam CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(SubscriberPostContentParam)& oSubscriberPostContentParam) {
        DDLCLASS(SubscriberPostContentParam)::Add(pMessageToSend,oSubscriberPostContentParam);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(SubscriberPostContentParam)* pSubscriberPostContentParamToRefresh) {
        DDLCLASS(SubscriberPostContentParam)::Extract(pReceivedMessage,pSubscriberPostContentParamToRefresh);
    }
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
