#pragma once
#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma push
#pragma diag_suppress 228,381,550,1300,1301,2530
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( push )
#pragma warning( disable : 4458 )
#endif // defined(_MSC_VER)

#include <OnlineCore/src/DDLTypes/CGCoreExports.h>
#include "OnlineCore/src/DDLTypes/OnlineCoreTypes.h"
#include "OnlineCore/src/DDLTypes/STLExtTypes.h"

BEGIN_NAMESPACE_NEX
class GatheringStats;
END_NAMESPACE_NEX

BEGIN_NAMESPACE_NEX

class DDLCLASS(GatheringStats): public RootObject {
public:
    DDLCLASS(GatheringStats)():_mRevision_GatheringStats(0)
     {};
    DDLCLASS(GatheringStats)(const DDLCLASS(GatheringStats) &oOther):
        RootObject(oOther),
        _mRevision_GatheringStats(oOther._mRevision_GatheringStats),
        m_pidParticipant(oOther.m_pidParticipant),
        m_uiFlags(oOther.m_uiFlags),
        m_lstValues(oOther.m_lstValues)
    {
    }
    virtual ~DDLCLASS(GatheringStats)() {};
    const DDLCLASS(GatheringStats) &operator=(const DDLCLASS(GatheringStats) &oOther);
    qBool operator==(const DDLCLASS(GatheringStats) &oOther) const;
    #ifdef OSDK_DLL_SUPPORT
    qBool operator<(const DDLCLASS(GatheringStats) &oOther) const;
    #endif
    static void Add(Message *pMessageToSend, const DDLCLASS(GatheringStats) &oValue);
    static void Extract(Message *pReceivedMessage, DDLCLASS(GatheringStats) *pValue);
    qByte _mRevision_GatheringStats;
    qByte GetClassRevision_GatheringStats() const {return _mRevision_GatheringStats;}
    void SetClassRevision_GatheringStats(qByte revision) {_mRevision_GatheringStats=revision;}
    static qByte GetKnownMaxClassRevision_GatheringStats() {return 0;}
    DDLTYPE(uint32)::CPPType m_pidParticipant;
    NEX_CLASS_VALID_REVISION_DEF(m_pidParticipant, 0);
    qBool NEX_CLASS_ISVALID(m_pidParticipant) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(uint32)::CPPType m_uiFlags;
    NEX_CLASS_VALID_REVISION_DEF(m_uiFlags, 0);
    qBool NEX_CLASS_ISVALID(m_uiFlags) const { return true; /* The revision is 0. Always true */}
    DDLTYPE(std_list)< DDLTYPE(float) >::CPPType m_lstValues;
    NEX_CLASS_VALID_REVISION_DEF(m_lstValues, 0);
    qBool NEX_CLASS_ISVALID(m_lstValues) const { return true; /* The revision is 0. Always true */}
    public:
    protected:
};


class DDLTYPE(GatheringStats): public DDLType {
public:
    typedef GatheringStats CPPType;
    static void Add(Message* pMessageToSend, const DDLCLASS(GatheringStats)& oGatheringStats) {
        DDLCLASS(GatheringStats)::Add(pMessageToSend,oGatheringStats);
    }
    static void Extract(Message* pReceivedMessage, DDLCLASS(GatheringStats)* pGatheringStatsToRefresh) {
        DDLCLASS(GatheringStats)::Extract(pReceivedMessage,pGatheringStatsToRefresh);
    }
};

class GatheringStats: public DDLCLASS(GatheringStats) {
};


END_NAMESPACE_NEX

#if defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#pragma pop
#endif // defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 5000000)
#if defined(_MSC_VER)
#pragma warning( pop )
#endif // defined(_MSC_VER)
